Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ gnome/add/add.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -12,4 +12,7 @@
 &gnome-games;
 &bug-buddy;
+&eog;
+&nautilus;
+
 
 </chapter>
Index: gnome/add/eog.xml
===================================================================
--- gnome/add/eog.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/eog.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,11 @@
+<sect1 id="eog" xreflabel="eog-&eog-version;">
+<?dbhtml filename="eog.html" dir="gnome"?>
+<title>eog-&eog-version;</title>
+
+&eog-intro;
+&eog-inst;
+&eog-exp;
+&eog-desc;
+
+</sect1>
+
Index: gnome/add/eog/eog-desc.xml
===================================================================
--- gnome/add/eog/eog-desc.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/eog/eog-desc.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Contents</title>
+
+<para>The eog package contains <userinput>eog</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>eog</title>
+<para>eog is a fast and functional image viewer as well as an image
+cataloging program.</para></sect3>
+
+
+</sect2>
+
Index: gnome/add/eog/eog-exp.xml
===================================================================
--- gnome/add/eog/eog-exp.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/eog/eog-exp.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--libexecdir=/opt/gnome2/sbin :</userinput> This command puts
+libexec files in <filename>/opt/gnome2/sbin</filename> instead of
+<filename>/opt/gnome2/libexec</filename>.</para>
+
+<para><userinput>--localstatedir=/var/lib :</userinput> This command
+puts scrollkeeper files in <filename>/var/lib/scrollkeeper</filename>
+instead of <filename>/opt/gnome2/var/scrollkeeper</filename>.</para>
+
+<para><userinput>--sysconfdir=/etc/gnome :</userinput>  This command
+puts configuration files in <filename>/etc/gnome</filename> instead of
+<filename>/opt/gnome2/etc</filename>.</para>
+
+</sect2>
+
Index: gnome/add/eog/eog-inst.xml
===================================================================
--- gnome/add/eog/eog-inst.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/eog/eog-inst.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of eog</title>
+
+<para>Install eog by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --libexecdir=/opt/gnome2/sbin --localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
+make &amp;&amp;
+make install </userinput></screen></para>
+
+</sect2>
+
Index: gnome/add/eog/eog-intro.xml
===================================================================
--- gnome/add/eog/eog-intro.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/eog/eog-intro.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Introduction to eog</title>
+
+<screen>Download location (HTTP):       <ulink url="&eog-download-http;"/>
+Download location (FTP):        <ulink url="&eog-download-ftp;"/>
+Version used:                   &eog-version;
+Package size:                   &eog-size;
+Estimated Disk space required:  &eog-buildsize;</screen>
+
+<para>The eog package contains Eyes of Gnome. This is useful for viewing
+and cataloging image files.</para>
+
+<screen>eog depends on:
+<xref linkend="libgnomeui"/> and <xref linkend="libgnomeprint"/></screen>
+
+</sect2>
Index: gnome/add/eog/eog.ent
===================================================================
--- gnome/add/eog/eog.ent	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/eog/eog.ent	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,11 @@
+<!ENTITY eog SYSTEM "../eog.xml">
+<!ENTITY eog-intro SYSTEM "eog-intro.xml">
+<!ENTITY eog-inst SYSTEM "eog-inst.xml">
+<!ENTITY eog-exp SYSTEM "eog-exp.xml">
+<!ENTITY eog-desc SYSTEM "eog-desc.xml">
+<!ENTITY eog-config SYSTEM "eog-config.xml">
+<!ENTITY eog-buildsize "3.9 MB">
+<!ENTITY eog-version "1.0.3">
+<!ENTITY eog-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/eog/eog-1.0.3.tar.gz">
+<!ENTITY eog-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/eog/eog-1.0.3.tar.gz">
+<!ENTITY eog-size "432 KB">
Index: gnome/add/nautilus.xml
===================================================================
--- gnome/add/nautilus.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/nautilus.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,12 @@
+<sect1 id="nautilus" xreflabel="nautilus-&nautilus-version;">
+<?dbhtml filename="nautilus.html" dir="gnome"?>
+<title>nautilus-&nautilus-version;</title>
+
+&nautilus-intro;
+&nautilus-inst;
+&nautilus-exp;
+&nautilus-config;
+&nautilus-desc;
+
+</sect1>
+
Index: gnome/add/nautilus/nautilus-config.xml
===================================================================
--- gnome/add/nautilus/nautilus-config.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/nautilus/nautilus-config.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Configuring nautilus</title>
+
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+
Index: gnome/add/nautilus/nautilus-desc.xml
===================================================================
--- gnome/add/nautilus/nautilus-desc.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/nautilus/nautilus-desc.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,19 @@
+<sect2>
+<title>Contents</title>
+
+<para>The nautilus package contains <userinput>nautilus</userinput> and
+<userinput>nautilus libraries</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>nautilus</title>
+<para>nautilus is the GNOME file manager.</para></sect3>
+
+<sect3><title>nautilus libraries</title>
+<para>nautilus libraries supply the functions needed by the file
+manager.</para></sect3>
+
+</sect2>
+
Index: gnome/add/nautilus/nautilus-exp.xml
===================================================================
--- gnome/add/nautilus/nautilus-exp.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/nautilus/nautilus-exp.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,14 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--sysconfdir=/etc/gnome :</userinput>  This command
+puts configuration files in <filename>/etc/gnome</filename> instead of
+<filename>/opt/gnome2/etc</filename>.</para>
+
+<para><userinput>--libexecdir=/opt/gnome2/sbin :</userinput> This command puts
+libexec files in <filename>/opt/gnome2/sbin</filename> instead of
+<filename>/opt/gnome2/libexec</filename>.</para>
+
+
+</sect2>
+
Index: gnome/add/nautilus/nautilus-inst.xml
===================================================================
--- gnome/add/nautilus/nautilus-inst.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/nautilus/nautilus-inst.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of nautilus</title>
+
+<para>Install nautilus by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --sysconfdir=/etc/gnome --libexecdir=/opt/gnome2/sbin &amp;&amp; 
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: gnome/add/nautilus/nautilus-intro.xml
===================================================================
--- gnome/add/nautilus/nautilus-intro.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/nautilus/nautilus-intro.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Introduction to nautilus</title>
+
+<screen>Download location (HTTP):       <ulink url="&nautilus-download-http;"/>
+Download location (FTP):        <ulink url="&nautilus-download-ftp;"/>
+Version used:                   &nautilus-version;
+Package size:                   &nautilus-size;
+Estimated Disk space required:  &nautilus-buildsize;</screen>
+
+<para>The nautilus package contains the GNOME shell and file manager.</para>
+
+<screen>nautilus depends on:
+<xref linkend="libgnomeui"/>
+nautilus will utilize:
+medusa</screen>
+
+</sect2>
Index: gnome/add/nautilus/nautilus.ent
===================================================================
--- gnome/add/nautilus/nautilus.ent	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
+++ gnome/add/nautilus/nautilus.ent	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -0,0 +1,11 @@
+<!ENTITY nautilus SYSTEM "../nautilus.xml">
+<!ENTITY nautilus-intro SYSTEM "nautilus-intro.xml">
+<!ENTITY nautilus-inst SYSTEM "nautilus-inst.xml">
+<!ENTITY nautilus-exp SYSTEM "nautilus-exp.xml">
+<!ENTITY nautilus-desc SYSTEM "nautilus-desc.xml">
+<!ENTITY nautilus-config SYSTEM "nautilus-config.xml">
+<!ENTITY nautilus-buildsize "">
+<!ENTITY nautilus-version "2.0.6">
+<!ENTITY nautilus-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/nautilus/nautilus-2.0.6.tar.gz">
+<!ENTITY nautilus-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/nautilus/nautilus-2.0.6.tar.gz">
+<!ENTITY nautilus-size "6.6 MB">
Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ gnome/gnome.ent	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -86,4 +86,6 @@
 <!ENTITY % gnome-games SYSTEM "add/games/gnome-games.ent">
 <!ENTITY % bug-buddy SYSTEM "add/bug-buddy/bug-buddy.ent">
+<!ENTITY % eog SYSTEM "add/eog/eog.ent">
+<!ENTITY % nautilus SYSTEM "add/nautilus/nautilus.ent">
 %gnome-terminal;
 %gnome-utils;
@@ -91,4 +93,6 @@
 %gnome-games;
 %bug-buddy;
+%eog;
+%nautilus;
 
 <!-- Other Gnome packages -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ introduction/welcome/changelog.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>September 8th, 2002 [larry]: Gnome: Added eog-1.0.3 and
+nautilus-2.0.6</para></listitem>
 
 <listitem><para>September 8th, 2002 [larry]: Basicnet: Added portmap-5
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ introduction/welcome/credits.xml	(revision 21374e386a73cb332b3ae8d0dea8382922fe917a)
@@ -76,7 +76,13 @@
 <listitem><para>Alsa: <emphasis>Alex Kloss</emphasis></para></listitem>
 
-<listitem><para>ATK, audiofile, bc, bonobo-activation, bug-buddy, cdrdao, cdrtools, cpio, curl, dhcp, DocBook, enlightenment, esound, fcron, fluxbox, FNLIB,
-gail, gcc, gdbm, GLib2, gmp, gnat, gnome-applets, gnome-common,
-gnome-desktop, gnome-games, gnome-libs, gnome-mime-data, gnome-panel, gnome-session, gnome-terminal, gnome-utils, gnome-vfs, GTK+2, gtk-doc, gtk-engines, eel, imlib, intltool, j2sdk, lame, libao, libart_lgpl, libbonobo, libbonoboui, libglade, libgnome, libgnomecanvas, libgnomeprint, libgnomeprintui, libgnomeui, libgtkhtml, libgtop, libIDL, libogg, librep, librsvg, libvorbis, libwnck, libxml2, libxslt, libzvt, linc, mutt, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
+<listitem><para>ATK, audiofile, bc, bonobo-activation, bug-buddy,
+cdrdao, cdrtools, cpio, curl, dhcp, DocBook, enlightenment, eog, esound, fcron, fluxbox, FNLIB, gail, gcc, gdbm, GLib2, gmp, gnat, gnome-applets, gnome-common,
+gnome-desktop, gnome-games, gnome-libs, gnome-mime-data, gnome-panel,
+gnome-session, gnome-terminal, gnome-utils, gnome-vfs, GTK+2, gtk-doc,
+gtk-engines, eel, imlib, intltool, j2sdk, lame, libao, libart_lgpl,
+libbonobo, libbonoboui, libglade, libgnome, libgnomecanvas,
+libgnomeprint, libgnomeprintui, libgnomeui, libgtkhtml, libgtop, libIDL,
+libogg, librep, librsvg, libvorbis, libwnck, libxml2, libxslt, libzvt,
+linc, mutt, nautilus, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
 
 <listitem><para>CDParanoia, mpg123, SDL and XMMS: <emphasis>Jeroen