Index: README
===================================================================
--- README	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ README	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -12,7 +12,7 @@
               content x kde gnome xsoft multimedia pst preface \
               appendices other
-	/usr/bin/openjade -t sgml \
-	  -d /usr/share/sgml/docbook/dsssl-stylesheets-1.78/html/blfs.dsl \
-	  /usr/share/sgml/docbook/dsssl-stylesheets-1.78/dtds/decls/xml.dcl \
+	/usr/bin/openjade -t xml \
+	  -d /usr/share/dsssl/docbook/html/blfs.dsl \
+	  /usr/share/dsssl/docbook/dtds/decls/xml.dcl \
 	  /path/to/index.xml
 
@@ -24,6 +24,6 @@
 	/usr/bin/openjade -t sgml \
 	 -V nochunks \
-	 -d /usr/share/sgml/docbook/dsssl-stylesheets-1.78/html/blfs.dsl \
-         /usr/share/sgml/docbook/dsssl-stylesheets-1.78/dtds/decls/xml.dcl \
+	 -d /usr/share/dsssl/docbook/html/blfs.dsl \
+         /usr/share/dsssl/docbook/dtds/decls/xml.dcl \
 	 /path/to/index.xml > nochunks.html
 
Index: multimedia/videoutils/videoutils.xml
===================================================================
--- multimedia/videoutils/videoutils.xml	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ multimedia/videoutils/videoutils.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -7,5 +7,5 @@
 video when you have spent so much time getting to that point. All the
 libraries, all the configurations and your reward is that you get to
-watch a movie. Not to worry though, there is always one more codex to
+watch a movie. Not to worry though, there is always one more codec to
 install.</para>
 
Index: xsoft/graphweb/graphweb.xml
===================================================================
--- xsoft/graphweb/graphweb.xml	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ xsoft/graphweb/graphweb.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -2,4 +2,7 @@
 <?dbhtml filename="graphweb.html" dir="xsoft"?>
 <title>Graphical Web Browsers</title>
+
+<para>This chapter contains a wonderful selection of browsers. We hope
+you can find one you enjoy using or give them each a trial run.</para>
 
 &mozilla;
Index: xsoft/graphweb/mozilla/mozilla-config.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-config.xml	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ xsoft/graphweb/mozilla/mozilla-config.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -1,17 +1,18 @@
 <sect2>
-<title>Configuring mozilla</title>
+<title>Configuring <application>Mozilla</applicatin></title>
 
-<para>No specific configuration is required as long as the mozilla binary is 
-in the path for the user. If you have installed mozilla in a non-standard 
-location such as &mozilla-prefix;, then make a sym-link to the mozilla binary 
-from /usr/bin.</para>
+<para>No specific configuration is required as long as the <command>mozilla
+</comand> binary is in the path for the user. If you have installed mozilla in 
+a non-standard location such as &mozilla-prefix;, then make a sym-link to the 
+<command>mozilla</command> binary from <filename>/usr/bin</filename>.</para>
 
-<para>Many applications look for netscape when they need to open a browser.
-You may make the following symlink for convinience.</para>
+<para>Many applications look for <command>netscape</command> when they need to 
+open a browser. You may make the following symlink for convinience.</para>
 
-<para><screen><userinput>ln -sf mozilla &mozilla-prefix;/bin/netscape</userinput></screen></para>
+<screen><userinput>ln -sf mozilla &mozilla-prefix;/bin/netscape</userinput></screen>
 
-<para>For installing various mozilla plugins, refer to the above mentioned 
-URL for the mozilla hint.</para>
+<para>For installing various <application>Mozilla</application> plugins, refer 
+to the above mentioned <acronym>URL</acronym> for the <application>Mozilla
+</application> hint.</para>
 
 </sect2>
Index: xsoft/graphweb/mozilla/mozilla-desc.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-desc.xml	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ xsoft/graphweb/mozilla/mozilla-desc.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -2,7 +2,8 @@
 <title>Contents</title>
 
-<para>The mozilla package contains <userinput>mozilla</userinput>.The various
-components such as composer, mail-news can be accessed from the menu after
-mozilla starts or via command line switches to the mozilla binary.
+<para>The <application>Mozilla</application> package contains <command>mozilla
+</command>.The various components such as composer, mail-news can be accessed 
+from the menu after <command>mozilla</command> starts or via command line 
+switches to the <command>mozilla</command> binary.
 </para>
 
Index: xsoft/graphweb/mozilla/mozilla-exp.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-exp.xml	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ xsoft/graphweb/mozilla/mozilla-exp.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -2,53 +2,54 @@
 <title>Command explanations</title>
 
-<para><screen><userinput>export MOZILLA_OFFICIAL="1" &amp;&amp;
+<para><screen><command>export MOZILLA_OFFICIAL="1" &amp;&amp;
 export BUILD_OFFICIAL="1" &amp;&amp;
-export MOZ_INTERNAL_LIBART_LGPL="1"</userinput></screen>
+export MOZ_INTERNAL_LIBART_LGPL="1"</command></screen>
 Set some variables that affect what and how it is built. The first two exports
 specify that we are building a distribution. The last export specifies that we
-are ok with the LGPL versioned libart.</para>
+are ok with the <acronym>LGPL</acronym> versioned libart.</para>
 
-<para><userinput>--prefix=&mozilla-prefix;</userinput>: Previously mozilla did
-not support the make install option. Hence the package was installed in <filename>/opt</filename>.
-The package now supports "make install" and follows the FHS guidelines for
-installation. Hence the book now recommends installation in a system wide prefix
-such as <filename>/usr</filename>.</para>
+<para><command>--prefix=&mozilla-prefix;</command>: Previously mozilla did
+not support the make install option. Hence the package was installed in 
+<filename>/opt</filename>. The package now supports "make install" and follows 
+the <acronym>FHS</acronym> guidelines for installation. Hence the book now 
+recommends installation in a system wide prefix such as <filename>/usr
+</filename>.</para>
 
-<para><screen><userinput>--enable-toolkit-gtk2</userinput></screen>Use gtk2
+<para><screen><command>--enable-toolkit-gtk2</command></screen>Use gtk2
 toolkit</para>
 
-<para><screen><userinput>--with-system-zlib --with-system-jpeg \
---with-system-png --with-system-mng"</userinput></screen>
+<para><screen><command>--with-system-zlib --with-system-jpeg \
+--with-system-png --with-system-mng"</command></screen>
 Use the system versions for these packages.</para>
 
-<para><userinput>--enable-xft</userinput> : Enable the Xft
-support. You need fontconfig or the latest XFree86 version to enable xft.</para>
+<para><command>--enable-xft</command> : Enable the Xft support. You need 
+<application>fontconfig</application> or the latest <application>XFree86
+</application> version to enable xft.</para>
 
-<para><userinput>--enable-crypto</userinput> : Enable the Personal
-Security Manager to enable SSL connections.</para>
+<para><command>--enable-crypto</command> : Enable the Personal
+Security Manager to enable <acronym>SSL</acronym> connections.</para>
 
-<para><screen><userinput>--disable-jsd --disable-accessibility \
+<para><screen><command>--disable-jsd --disable-accessibility \
 --disable-tests --disable-debug \
 --disable-dtd-debug \
 --disable-logging --enable-reorder \
 --enable-strip \
---enable-cpp-rtti</userinput></screen>
+--enable-cpp-rtti</command></screen>
 Various options that affect what components are built and some optimization
-options. You can
-pick and choose from these options.  More information on them can be found
-in the mozilla configure script help. Not all options are used in the
-instructions given above.</para>
+options. You can pick and choose from these options.  More information on them 
+can be found in the <application>Mozilla</application> <command>configure
+</command> script help. Not all options are used in the instructions given 
+above.</para>
 
-<para><userinput>--enable-extensions=...</userinput> : Enables
-extensions.  If you want, you can disable all extensions other than the
-browser by changing this switch to
-<userinput>--enable-extensions="default,-venkman,-inspector,-irc"</userinput>.</para>
+<para><command>--enable-extensions=...</command> : Enables extensions.  If you 
+want, you can disable all extensions other than the browser by changing this 
+switch to <command>--enable-extensions="default,-venkman,-inspector,-irc"</command>.</para>
 
-<para><userinput>--enable-svg</userinput> : Enable SVG (Scalable Vector
-Graphics) support.</para>
+<para><command>--enable-svg</command> : Enable <acronym>SVG</acronym> 
+(Scalable Vector Graphics) support.</para>
 
-<para><screen><userinput>install -d &mozilla-prefix;/include/mozilla-&mozilla-version;/nss
+<para><screen><command>install -d &mozilla-prefix;/include/mozilla-&mozilla-version;/nss
 cp -Lf dist/private/nss/*.h dist/public/nss/*.h \
-   &mozilla-prefix;/include/mozilla-&mozilla-version;/nss</userinput></screen>
+   &mozilla-prefix;/include/mozilla-&mozilla-version;/nss</command></screen>
 Copy the nss headers that are not copied by make install.</para>
 
@@ -59,16 +60,17 @@
 -->
 
-<para><userinput>ln -nsf mozilla-&mozilla-version; ...</userinput> :
-Mozilla installs headers and libraries in version specific directories. This
-link makes symbolic links so that applications that depend on Mozilla (such as
-OpenOffice, Galeon, etc.) don't need to know which version of mozilla is
-installed.
-</para>
+<para><command>ln -nsf mozilla-&mozilla-version; ...</command> :
+<application>Mozilla</application> installs headers and libraries in version 
+specific directories. This link makes symbolic links so that applications that 
+depend on <application>Mozilla</application> (such as <application>OpenOffice
+</application>, <application>Galeon</application>, etc.) don't need to know 
+which version of <application>Mozilla</application> is installed.</para>
 
-<para><screen><userinput>export LD_LIBRARY_PATH="&mozilla-prefix;/lib/mozilla-&mozilla-version;" &amp;&amp;
+<para><screen><command>export LD_LIBRARY_PATH="&mozilla-prefix;/lib/mozilla-&mozilla-version;" &amp;&amp;
 export MOZILLA_FIVE_HOME="&mozilla-prefix;/lib/mozilla-&mozilla-version;" &amp;&amp;
 ./regxpcom &amp;&amp;
 ./regchrome &amp;&amp;
-touch `find &mozilla-prefix;/lib/mozilla-${VERSION} -name *.rdf`</userinput></screen>
+touch `find &mozilla-prefix;/lib/mozilla-${VERSION} -name *.rdf`</command>
+</screen>
 Create the required component registries to enable multi-user installs.</para>
 
Index: xsoft/graphweb/mozilla/mozilla-inst.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-inst.xml	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ xsoft/graphweb/mozilla/mozilla-inst.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -1,8 +1,9 @@
 <sect2>
-<title>Installation of mozilla</title>
+<title>Installation of <application>Mozilla</application></title>
 
-<para>Install mozilla by running the following commands:</para>
+<para>Install <application>Mozilla</application> by running the following 
+commands:</para>
 
-<para><screen><userinput>export MOZILLA_OFFICIAL="1" &amp;&amp;
+<screen><userinput><command>export MOZILLA_OFFICIAL="1" &amp;&amp;
 export BUILD_OFFICIAL="1" &amp;&amp;
 export MOZ_INTERNAL_LIBART_LGPL="1" &amp;&amp;
@@ -15,10 +16,10 @@
 for p in ../mozilla-&mozilla-version;-*.patch
 do patch -Np1 -i $p
-done</userinput></screen></para>
+done</command></userinput></screen>
 
 <para>According to the financial institutions, the following hack makes your
 browser insecure. You have been warned. Many sites use an MS-IE specific tag 
 (autocomplete=off) to prevent autocomplete from working in some forms. This 
-tag is now supported in mozilla to appease the financial institutions. As per 
+tag is now supported in Mozilla to appease the financial institutions. As per 
 the requirements of the financial institutions, they will not even accept a 
 solution where this a preference option. However our opinion is that it should 
@@ -27,10 +28,10 @@
 
 <para>Open the file <filename>extensions/wallet/src/wallet.cpp</filename> in
-the mozilla source tree and search for the line:
+the Mozilla source tree and search for the line:
 <screen>#define WALLET_DONT_CACHE_ALL_PASSWORDS</screen>
 Then delete or comment out the line.  Now, if anyone tells you MS-IE is user
 friendly, give them this example!</para>
 
-<para><screen><userinput>./configure --prefix=&mozilla-prefix; \
+<screen><userinput><command>./configure --prefix=&mozilla-prefix; \
             --enable-default-mozilla-five-home \
             --enable-toolkit-gtk2 --enable-default-toolkit=gtk2 \
@@ -62,5 +63,5 @@
 ./regxpcom &amp;&amp;
 ./regchrome &amp;&amp;
-touch `find &mozilla-prefix;/lib/mozilla-&mozilla-version; -name *.rdf`</userinput></screen></para>
+touch `find &mozilla-prefix;/lib/mozilla-&mozilla-version; -name *.rdf`</command></userinput></screen>
 
 </sect2>
@@ -72,25 +73,26 @@
 have the described effect on the mozilla compile.</para>
 
-<para><userinput>--enable-elf-dynstr-gc</userinput> : Removes unreferenced
-strings from ELF shared objects generated during the build. Note that this
-option breaks build on alpha.</para>
+<para><command>--enable-elf-dynstr-gc</command> : Removes unreferenced
+strings from <acronym>ELF</acronym> shared objects generated during the build. 
+Note that this option breaks build on alpha.</para>
 
-<para><userinput>--disable-mailnews</userinput> : Disable the mail and news
+<para><command>--disable-mailnews</command> : Disable the mail and news
 clients.</para>
 
-<para><userinput>--disable-ldap</userinput> : Disable LDAP Support,
-recommended if mail is disabled.</para>
+<para><command>--disable-ldap</command> : Disable <acronym>LDAP</acronym> 
+Support, recommended if mail is disabled.</para>
 
-<para><userinput>--enable-calendar</userinput> : Build the calendar client.
+<para><command>--enable-calendar</command> : Build the calendar client.
 You will need to download the calendar source via cvs since it is not included
 with the release source.
 (Warning, this option is not yet stable).</para>
 
-<para><userinput>--enable-xterm-updates</userinput> : This option is
-for enabling the xterm title with the current command when compiling.</para>
+<para><command>--enable-xterm-updates</command> : This option is
+for enabling the <command>xterm</command> title with the current command when 
+compiling.</para>
 
-<para><userinput>--enable-plaintext-editor-only</userinput> : Disable support
-for HTML editing. Do not use this switch if you are building the mail-news
-component.</para>
+<para><command>--enable-plaintext-editor-only</command> : Disable support
+for <acronym>HTML</acronym> editing. Do not use this switch if you are building 
+the mail-news component.</para>
 
 </sect2>
Index: xsoft/graphweb/mozilla/mozilla-intro.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-intro.xml	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ xsoft/graphweb/mozilla/mozilla-intro.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -1,29 +1,42 @@
 <sect2>
-<title>Introduction to mozilla</title>
+<title>Introduction to <application>Mozilla</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&mozilla-download-http;"/>
-Download location (FTP):        <ulink url="&mozilla-download-ftp;"/>
-Version used:                   &mozilla-version;
-Package size:                   &mozilla-size;
-Estimated Disk space required:  &mozilla-buildsize;
-Estimated Build time:           &mozilla-buildtime;
-Estimated Install size:         &mozilla-installsize;</screen>
+<para><application>Mozilla</application> is a browser suite, the opensource 
+sibling of <application>Netscape</application>. It includes the browser, 
+composer, mail client and an <acronym>IRC</acronym> client. A
+calendar component is also being built but it is not yet integrated into the
+stable Mozilla releases.</para>
 
-<para>Mozilla is a browser suite, the opensource sibling of
-Netscape. It includes the browser, composer, mail client and an IRC client. A
-calendar component is also being built but it is not yet integrated into the
-stable mozilla releases.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&mozilla-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&mozilla-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &mozilla-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&mozilla-buildsize;</para></listitem>
+<listitem><para>Estimated install size:
+&mozilla-installsize;</para></listitem>
+<listitem><para>Estimated build time:
+&mozilla-time;</para></listitem></itemizedlist>
+</sect3>
 
-<screen>mozilla depends on:
-<xref linkend="freetype2"/>, <xref linkend="xfree86"/>,	<xref linkend="zip"/>,
-<xref linkend="expat"/>, <xref linkend="ATK"/>, <xref linkend="Pango"/>,
-<xref linkend="pkgconfig"/>, <!-- <xref linkend="fontconfig">, -->
-<xref linkend="GLib2"/>, <xref linkend="GTK2"/>, <xref linkend="libIDL"/>,
-<xref linkend="lcms"/>, <xref linkend="libjpeg"/>, <xref linkend="libmng"/>,
-<xref linkend="libpng"/> and <xref linkend="which"/></screen>
+<sect3><title><application>Mozilla</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="freetype2"/>, <xref linkend="xfree86"/>, <xref
+linkend="zip"/>, <xref linkend="expat"/>, <xref linkend="ATK"/>, <xref 
+linkend="Pango"/>, <xref linkend="pkgconfig"/>, <!-- <xref 
+linkend="fontconfig">, --> <xref linkend="GLib2"/>, <xref linkend="GTK2"/>, 
+<xref linkend="libIDL"/>, <xref linkend="lcms"/>, <xref linkend="libjpeg"/>, 
+<xref linkend="libmng"/>, <xref linkend="libpng"/> and <xref linkend="which"/>
+</para></sect4>
+</sect3>
+</sect2>
 
+<sect2><title>Additional Downloads and Information</title>
 <para>Download the patch for various fixes to the build from
-<userinput><ulink url="&hfile-root;"/></userinput>. The patches begin with
-<userinput>mozilla-&mozilla-version;</userinput>. Note that none of the
+<filename><ulink url="&hfile-root;"/></filename>. The patches begin with
+<filename>mozilla-&mozilla-version;</filename>. Note that none of the
 patches are required, all are optional. Refer to the notes at the top
 of the patch file to figure out if you need the patch.</para>
@@ -37,5 +50,5 @@
 -->
 
-<para>If you have difficulties in building mozilla, check out the mozilla
+<para>If you have difficulties in building Mozilla, check out the Mozilla
 hint for detailed information at <ulink url="http://www.linuxfromscratch.org/~tushar/"/>. 
 The instructions 
Index: xsoft/other/other.xml
===================================================================
--- xsoft/other/other.xml	(revision 902871bacac95389853259ef5052815fa4c7824d)
+++ xsoft/other/other.xml	(revision 21456e14dde8b84bbc704b330ac65baa6e2627ec)
@@ -3,4 +3,6 @@
 <title>Other X-based Internet Programs</title>
 
+<para>The internet isn't just about browsing.  Here are more graphical
+applications that utilize other areas of the internet.</para>
 
 &pan;