Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision 7f827a6abc0da3471900337aeb8fb2f94eeded3c)
+++ gnome/add/add.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -10,4 +10,6 @@
 &gnome-utils;
 &gnome-applets;
+&gnome-games;
+&bug-buddy;
 
 </chapter>
Index: gnome/add/bug-buddy.xml
===================================================================
--- gnome/add/bug-buddy.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/bug-buddy.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,10 @@
+<sect1 id="bug-buddy" xreflabel="bug-buddy-&bug-buddy-version;">
+<?dbhtml filename="bug-buddy.html" dir="gnome"?>
+<title>bug-buddy-&bug-buddy-version;</title>
+
+&bug-buddy-intro;
+&bug-buddy-inst;
+&bug-buddy-desc;
+
+</sect1>
+
Index: gnome/add/bug-buddy/bug-buddy-desc.xml
===================================================================
--- gnome/add/bug-buddy/bug-buddy-desc.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/bug-buddy/bug-buddy-desc.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Contents</title>
+
+<para>The bug-buddy package contains <userinput>bug-buddy</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>bug-buddy</title>
+<para>bug-buddy is a graphical bug reporting system.</para></sect3>
+
+
+</sect2>
+
Index: gnome/add/bug-buddy/bug-buddy-inst.xml
===================================================================
--- gnome/add/bug-buddy/bug-buddy-inst.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/bug-buddy/bug-buddy-inst.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of bug-buddy</title>
+
+<para>Install bug-buddy by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --localstatedir=/var/spool &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: gnome/add/bug-buddy/bug-buddy-intro.xml
===================================================================
--- gnome/add/bug-buddy/bug-buddy-intro.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/bug-buddy/bug-buddy-intro.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Introduction to bug-buddy</title>
+
+<screen>Download location (HTTP):       <ulink url="&bug-buddy-download-http;"/>
+Download location (FTP):        <ulink url="&bug-buddy-download-ftp;"/>
+Version used:                   &bug-buddy-version;
+Package size:                   &bug-buddy-size;
+Estimated Disk space required:  &bug-buddy-buildsize;</screen>
+
+<para>The bug-buddy package contains a graphical bug reporting tool.
+This can extract debugging information from a core file or crashed
+application.</para>
+
+<screen>bug-buddy depends on:
+<xref linkend="libgnomeui"/></screen>
+
+</sect2>
Index: gnome/add/bug-buddy/bug-buddy.ent
===================================================================
--- gnome/add/bug-buddy/bug-buddy.ent	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/bug-buddy/bug-buddy.ent	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,11 @@
+<!ENTITY bug-buddy SYSTEM "../bug-buddy.xml">
+<!ENTITY bug-buddy-intro SYSTEM "bug-buddy-intro.xml">
+<!ENTITY bug-buddy-inst SYSTEM "bug-buddy-inst.xml">
+<!ENTITY bug-buddy-exp SYSTEM "bug-buddy-exp.xml">
+<!ENTITY bug-buddy-desc SYSTEM "bug-buddy-desc.xml">
+<!ENTITY bug-buddy-config SYSTEM "bug-buddy-config.xml">
+<!ENTITY bug-buddy-buildsize "3.9 MB">
+<!ENTITY bug-buddy-version "2.2.0">
+<!ENTITY bug-buddy-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/bug-buddy/bug-buddy-2.2.0.tar.gz">
+<!ENTITY bug-buddy-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/bug-buddy/bug-buddy-2.2.0.tar.gz">
+<!ENTITY bug-buddy-size "524 KB">
Index: gnome/add/games/gnome-games-desc.xml
===================================================================
--- gnome/add/games/gnome-games-desc.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/games/gnome-games-desc.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Contents</title>
+
+<para>The gnome-games package contains
+<userinput>ctali</userinput>, <userinput>freecell</userinput>,
+<userinput>gataxx</userinput>, <userinput>glines</userinput>,
+<userinput>gnect</userinput>, <userinput>gnibbles</userinput>,
+<userinput>gnobots2</userinput>, <userinput>gnome-stones</userinput>,
+<userinput>gnome-xbill</userinput>, <userinput>gnometris</userinput>,
+<userinput>gnomine</userinput>, <userinput>gnotravex</userinput>,
+<userinput>gnotski</userinput>, <userinput>gtali</userinput>,
+<userinput>iagno</userinput>, <userinput>mahjongg</userinput> and
+<userinput> same-gnome</userinput>.</para>
+
+</sect2>
+
Index: gnome/add/games/gnome-games-exp.xml
===================================================================
--- gnome/add/games/gnome-games-exp.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/games/gnome-games-exp.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,7 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>COMMAND:</userinput> This command does something.</para>
+
+</sect2>
+
Index: gnome/add/games/gnome-games-inst.xml
===================================================================
--- gnome/add/games/gnome-games-inst.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/games/gnome-games-inst.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of gnome-games</title>
+
+<para>Install gnome-games by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --localstatedir=/var/spool &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: gnome/add/games/gnome-games-intro.xml
===================================================================
--- gnome/add/games/gnome-games-intro.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/games/gnome-games-intro.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Introduction to gnome-games</title>
+
+<screen>Download location (HTTP):       <ulink url="&gnome-games-download-http;"/>
+Download location (FTP):        <ulink url="&gnome-games-download-ftp;"/>
+Version used:                   &gnome-games-version;
+Package size:                   &gnome-games-size;
+Estimated Disk space required:  &gnome-games-buildsize;</screen>
+
+<para>The gnome-games package contains games.</para>
+
+<screen>gnome-games depends on:
+<xref linkend="libgnomeui"/>
+gnome-games will utilize:
+guile</screen>
+
+</sect2>
Index: gnome/add/games/gnome-games.ent
===================================================================
--- gnome/add/games/gnome-games.ent	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/games/gnome-games.ent	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,11 @@
+<!ENTITY gnome-games SYSTEM "../gnome-games.xml">
+<!ENTITY gnome-games-intro SYSTEM "gnome-games-intro.xml">
+<!ENTITY gnome-games-inst SYSTEM "gnome-games-inst.xml">
+<!ENTITY gnome-games-exp SYSTEM "gnome-games-exp.xml">
+<!ENTITY gnome-games-desc SYSTEM "gnome-games-desc.xml">
+<!ENTITY gnome-games-config SYSTEM "gnome-games-config.xml">
+<!ENTITY gnome-games-buildsize "30.3 MB">
+<!ENTITY gnome-games-version "2.0.4">
+<!ENTITY gnome-games-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/gnome-games/gnome-games-2.0.4.tar.gz">
+<!ENTITY gnome-games-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/gnome-games/gnome-games-2.0.4.tar.gz">
+<!ENTITY gnome-games-size "9.8 MB">
Index: gnome/add/gnome-games.xml
===================================================================
--- gnome/add/gnome-games.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
+++ gnome/add/gnome-games.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -0,0 +1,10 @@
+<sect1 id="gnome-games" xreflabel="gnome-games-&gnome-games-version;">
+<?dbhtml filename="gnome-games.html" dir="gnome"?>
+<title>gnome-games-&gnome-games-version;</title>
+
+&gnome-games-intro;
+&gnome-games-inst;
+&gnome-games-desc;
+
+</sect1>
+
Index: gnome/core/control/control-center-intro.xml
===================================================================
--- gnome/core/control/control-center-intro.xml	(revision 7f827a6abc0da3471900337aeb8fb2f94eeded3c)
+++ gnome/core/control/control-center-intro.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -13,5 +13,5 @@
 <xref linkend="gnome-desktop"/>
 control-center utilizes:
-<xref linkend="gtk-doc"/></screen>
+xscreensaver and <xref linkend="gtk-doc"/></screen>
 
 </sect2>
Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision 7f827a6abc0da3471900337aeb8fb2f94eeded3c)
+++ gnome/gnome.ent	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -83,7 +83,11 @@
 <!ENTITY % gnome-utils SYSTEM "add/utils/gnome-utils.ent">
 <!ENTITY % gnome-applets SYSTEM "add/applets/gnome-applets.ent">
+<!ENTITY % gnome-games SYSTEM "add/games/gnome-games.ent">
+<!ENTITY % bug-buddy SYSTEM "add/bug-buddy/bug-buddy.ent">
 %gnome-terminal;
 %gnome-utils;
 %gnome-applets;
+%gnome-games;
+%bug-buddy;
 
 <!-- Other Gnome packages -->
Index: gnome/lib/libglade/libglade.ent
===================================================================
--- gnome/lib/libglade/libglade.ent	(revision 7f827a6abc0da3471900337aeb8fb2f94eeded3c)
+++ gnome/lib/libglade/libglade.ent	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -6,5 +6,5 @@
 <!ENTITY libglade-config SYSTEM "libglade-config.xml">
 <!ENTITY libglade-buildsize "2.7 MB">
-<!ENTITY libglade-version "2.0.0">
+<!ENTITY libglade-version "2.0.1">
 <!ENTITY libglade-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/libglade/libglade-2.0.1.tar.gz">
 <!ENTITY libglade-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/libglade/libglade-2.0.1.tar.gz">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7f827a6abc0da3471900337aeb8fb2f94eeded3c)
+++ introduction/welcome/changelog.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>September 4th, 2002 [larry]: Gnome: Added
+gnome-games-2.0.4 and bug-buddy-2.2.0.</para></listitem>
 
 <listitem><para>September 4th, 2002 [larry]: Gnome: Added
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 7f827a6abc0da3471900337aeb8fb2f94eeded3c)
+++ introduction/welcome/credits.xml	(revision 21480b6620db6a78a4781aca44793cf60124a672)
@@ -76,10 +76,7 @@
 <listitem><para>Alsa: <emphasis>Alex Kloss</emphasis></para></listitem>
 
-<listitem><para>ATK, audiofile, bc, bonobo-activation, cdrdao, cdrtools,
-cpio, curl, dhcp, DocBook, enlightenment, esound, fcron, fluxbox, FNLIB,
-gail, gcc, gdbm, GLib2, gmp, gnat, gnome-applets, gnome-common, gnome-desktop, gnome-libs, gnome-mime-data, gnome-panel, gnome-session, gnome-terminal,
-gnome-utils, gnome-vfs, GTK+2, gtk-doc, gtk-engines, eel, imlib,
-intltool, j2sdk, lame, libao, libart_lgpl, libbonobo, libbonoboui,
-libglade, libgnome, libgnomecanvas, libgnomeprint, libgnomeprintui, libgnomeui, libgtkhtml, libgtop, libIDL, libogg, librep, librsvg, libvorbis, libwnck, libxml2, libxslt, libzvt, linc, mutt, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
+<listitem><para>ATK, audiofile, bc, bonobo-activation, bug-buddy, cdrdao, cdrtools, cpio, curl, dhcp, DocBook, enlightenment, esound, fcron, fluxbox, FNLIB,
+gail, gcc, gdbm, GLib2, gmp, gnat, gnome-applets, gnome-common,
+gnome-desktop, gnome-games, gnome-libs, gnome-mime-data, gnome-panel, gnome-session, gnome-terminal, gnome-utils, gnome-vfs, GTK+2, gtk-doc, gtk-engines, eel, imlib, intltool, j2sdk, lame, libao, libart_lgpl, libbonobo, libbonoboui, libglade, libgnome, libgnomecanvas, libgnomeprint, libgnomeprintui, libgnomeui, libgtkhtml, libgtop, libIDL, libogg, librep, librsvg, libvorbis, libwnck, libxml2, libxslt, libzvt, linc, mutt, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
 
 <listitem><para>CDParanoia, mpg123, SDL and XMMS: <emphasis>Jeroen