Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ae44cabae5c5711c9eb17a4eb056a7285d594669)
+++ introduction/welcome/changelog.xml	(revision 21552cfa8448338b1fc54e3c8cb7f80fc4fbaf6d)
@@ -46,4 +46,11 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Adapt Falkon to build with Qt-5.15.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to Qt and QtWebEngine-5.15.0. Fixes 
+          <ulink url="&blfs-ticket-root;13575">#13575</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Update to vim-8.2.0814 to sync with lfs.</para>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision ae44cabae5c5711c9eb17a4eb056a7285d594669)
+++ packages.ent	(revision 21552cfa8448338b1fc54e3c8cb7f80fc4fbaf6d)
@@ -742,6 +742,6 @@
 <!ENTITY pango-version                "1.44.7">
 <!ENTITY pangomm-version              "2.42.1">
-<!ENTITY qt5-version                  "5.14.2">
-<!ENTITY qtwebengine-version          "5.14.2">
+<!ENTITY qt5-version                  "5.15.0">
+<!ENTITY qtwebengine-version          "5.15.0">
 <!ENTITY qtwebkit-version             "5.9.0">
 <!ENTITY qscintilla-version           "2.10.4">
Index: postlfs/security/openssh.xml
===================================================================
--- postlfs/security/openssh.xml	(revision ae44cabae5c5711c9eb17a4eb056a7285d594669)
+++ postlfs/security/openssh.xml	(revision 21552cfa8448338b1fc54e3c8cb7f80fc4fbaf6d)
@@ -166,5 +166,5 @@
     <para>
       To test the results, issue: <command>make tests</command>.
-      One test, <filename>key options</filename>, fails when run in chroot.
+      <!--One test, <filename>key options</filename>, fails when run in chroot.-->
     </para>
 
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision ae44cabae5c5711c9eb17a4eb056a7285d594669)
+++ x/lib/qt5.xml	(revision 21552cfa8448338b1fc54e3c8cb7f80fc4fbaf6d)
@@ -5,13 +5,13 @@
   %general-entities;
 
-  <!ENTITY qt5-major "5.14">
+  <!ENTITY qt5-major "5.15">
   <!ENTITY qt5-url   "https://download.qt.io/archive/qt/&qt5-major;/&qt5-version;/single">
 
   <!ENTITY qt5-download-http "&qt5-url;/qt-everywhere-src-&qt5-version;.tar.xz">
   <!ENTITY qt5-download-ftp  " ">
-  <!ENTITY qt5-md5sum        "b3d2b6d00e6ca8a8ede6d1c9bdc74daf">
-  <!ENTITY qt5-size          "524 MB">
-  <!ENTITY qt5-buildsize     "15 GB (264 MB installed)">
-  <!ENTITY qt5-time          "51 SBU (using parallelism=4)">
+  <!ENTITY qt5-md5sum        "610a228dba6ef469d14d145b71ab3b88">
+  <!ENTITY qt5-size          "565 MB">
+  <!ENTITY qt5-buildsize     "14 GB (266 MB installed)">
+  <!ENTITY qt5-time          "27 SBU (using parallelism=4)">
 ]>
 
@@ -79,4 +79,5 @@
     </itemizedlist>
 
+<!-- Applied upstream in 5.15.0
    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
@@ -88,4 +89,5 @@
       </listitem>
     </itemizedlist>
+ -->
 
     <bridgehead renderas="sect3">Qt5 Dependencies</bridgehead>
@@ -113,4 +115,5 @@
       <xref linkend="libxkbcommon"/>,
       <xref linkend="mesa"/>,
+      <xref linkend="mitkrb"/>,
       <xref linkend="mtdev"/>,
       <xref linkend="pcre2"/>,
@@ -139,8 +142,18 @@
       <xref linkend="sdl2"/>,
       <xref linkend="unixodbc"/>,
-      <ulink url="http://www.firebirdsql.org/">Firebird</ulink>, and
-      <ulink url="https://libproxy.github.io/libproxy/">libproxy</ulink>
-    </para>
-
+      <ulink url="https://www.assimp.org/">assimp</ulink>,
+      <ulink url="http://www.festvox.org/flite/">Flite</ulink>,
+      <ulink url="http://www.firebirdsql.org/">Firebird</ulink>, 
+      <ulink url="http://www.freetds.org/">FreeTDS</ulink>,
+      <ulink url="https://libproxy.github.io/libproxy/">libproxy</ulink>,
+      <ulink url="https://openal.org/">OpenAL</ulink>,
+      <ulink url="https://freebsoft.org/speechd/">speech-dispatcher</ulink>,
+      <ulink url="http:///www.tslib.org/">tslib</ulink>, and
+      <ulink url="https://vulkan.lunarg.org/sdk/home/">Vulkan</ulink>
+    </para>
+
+    <!-- Many of the dependencies in the qmake/configure output do not apply
+         to Linux-based platforms. I've selected the ones that do and put
+         them in as optional dependencies. -renodr -->
     <para condition="html" role="usernotes">
        User Notes: <ulink url="&blfs-wiki;/qt5"/>
@@ -245,5 +258,5 @@
             -examplesdir    /usr/share/doc/qt5/examples</userinput></screen>
     </note>
-
+<!-- Applied upstream in 5.15.0
     <para>
       First fix an issues using gcc-10:
@@ -251,4 +264,5 @@
 
 <screen><userinput>patch -Np1 -i ../qt-everywhere-src-&qt5-version;-gcc10-1.patch</userinput></screen>
+-->
 
     <para>
@@ -539,5 +553,5 @@
           qdbusviewer, qdbusxml2cpp, qdistancefieldgenerator, qdoc, qgltf,
           qhelpgenerator, qlalr, qmake, qml, qmlcachegen,
-          qmleasing, qmlimportscanner, qmllint, qmlmin, qmlplugindump,
+          qmleasing, qmlformat, qmlimportscanner, qmllint, qmlmin, qmlplugindump,
           qmlpreview, qmlprofiler, qmlscene, qmltestrunner, qscxmlc,
           qtattributionscanner, qtdiag, qtpaths, qtplugininfo,
@@ -967,4 +981,16 @@
       </varlistentry>
 
+      <varlistentry id="qmlformat-qt5">
+        <term><command>qmlformat</command></term>
+        <listitem>
+          <para>
+            formats QML files according to the QML coding conventions.
+          </para>
+          <indexterm zone="qt5 qmlformat-qt5">
+            <primary sortas="b-qmlformat-qt5">qmlformat</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="qmlimportscanner-qt5">
         <term><command>qmlimportscanner</command></term>
Index: x/lib/qtwebengine.xml
===================================================================
--- x/lib/qtwebengine.xml	(revision ae44cabae5c5711c9eb17a4eb056a7285d594669)
+++ x/lib/qtwebengine.xml	(revision 21552cfa8448338b1fc54e3c8cb7f80fc4fbaf6d)
@@ -5,11 +5,11 @@
   %general-entities;
 
-  <!ENTITY qtwebengine-major "5.14">
+  <!ENTITY qtwebengine-major "5.15">
   <!ENTITY qtwebengine-download-http "https://download.qt.io/archive/qt/&qtwebengine-major;/&qtwebengine-version;/submodules/qtwebengine-everywhere-src-&qtwebengine-version;.tar.xz">
   <!ENTITY qtwebengine-download-ftp  " ">
-  <!ENTITY qtwebengine-md5sum        "48f85fa5875bee56931b3be8b64a6712">
-  <!ENTITY qtwebengine-size          "232 MB">
-  <!ENTITY qtwebengine-buildsize     "3.6 GB (146 MB installed)">
-  <!ENTITY qtwebengine-time          "68 SBU (using 4 cores)">
+  <!ENTITY qtwebengine-md5sum        "738478b9409f8615ca0f63738b73bbae">
+  <!ENTITY qtwebengine-size          "265 MB">
+  <!ENTITY qtwebengine-buildsize     "4.3 GB (146 MB installed)">
+  <!ENTITY qtwebengine-time          "74 SBU (using 4 cores)">
 ]>
 
@@ -101,5 +101,5 @@
         <para>
           Required patch:
-          <ulink url="&patch-root;/qtwebengine-everywhere-src-&qtwebengine-version;-consolidated-1.patch"/>
+          <ulink url="&patch-root;/qtwebengine-everywhere-src-&qtwebengine-version;-consolidated_fixes-1.patch"/>
         </para>
       </listitem>
@@ -162,9 +162,9 @@
 
     <para>
-      Next, apply a patch that fixes issues when using gcc-10 and enable using
+      Next, apply a patch that fixes issues when using gcc-10 and enables using
       system ICU version 67.1 or greater.
     </para>
 
-<screen><userinput remap="pre">patch -Np1 -i ../qtwebengine-everywhere-src-&qtwebengine-version;-consolidated-1.patch</userinput></screen>
+<screen><userinput remap="pre">patch -Np1 -i ../qtwebengine-everywhere-src-&qtwebengine-version;-consolidated_fixes-1.patch</userinput></screen>
 
     <para>
@@ -343,4 +343,6 @@
         </seg>
         <seg>
+          libQt5Pdf.so,
+          libQt5PdfWidgets.so,
           libQt5WebEngineCore.so, 
           libQt5WebEngine.so, and 
@@ -348,4 +350,6 @@
         </seg>
         <seg>
+          $QT5DIR/include/QtPdf,
+          $QT5DIR/include/QtPdfWidgets,
           $QT5DIR/include/QtWebEngine,
           $QT5DIR/include/QtWebEngineCore,
Index: xsoft/graphweb/falkon.xml
===================================================================
--- xsoft/graphweb/falkon.xml	(revision ae44cabae5c5711c9eb17a4eb056a7285d594669)
+++ xsoft/graphweb/falkon.xml	(revision 21552cfa8448338b1fc54e3c8cb7f80fc4fbaf6d)
@@ -130,5 +130,11 @@
 
 <screen><userinput>sed -i '/#include &lt;QSettings&gt;/a#include &lt;QFile&gt;' \
-  src/plugins/VerticalTabs/verticaltabsplugin.cpp</userinput></screen>
+   src/plugins/VerticalTabs/verticaltabsplugin.cpp</userinput></screen>
+   
+    <para>
+      Fix a build problem introduced in Qt-5.15:
+    </para>
+<screen><userinput remap="pre">sed -i '/#include &lt;QPainter&gt;/a #include &lt;QPainterPath&gt;' \
+   src/lib/tools/qztools.cpp</userinput></screen>
 
     <para>