Index: basicnet/netprogs/cvs/cvs.ent
===================================================================
--- basicnet/netprogs/cvs/cvs.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/cvs/cvs.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -2,10 +2,10 @@
 <!ENTITY cvs-intro SYSTEM "cvs-intro.xml">
 <!ENTITY cvs-inst SYSTEM "cvs-inst.xml">
+<!ENTITY cvs-config SYSTEM "cvs-config.xml">
 <!ENTITY cvs-desc SYSTEM "cvs-desc.xml">
-<!ENTITY cvs-config SYSTEM "cvs-config.xml">
+<!ENTITY cvs-version "1.11.6">
+<!ENTITY cvs-download-http "http://gd.tuwien.ac.at/opsys/linux/sf/s/scmlinux/cvs-&cvs-version;.tar.bz2">
+<!ENTITY cvs-download-ftp "ftp://ftp.cvshome.org/pub/release/stable/cvs-&cvs-version;/cvs-&cvs-version;.tar.bz2">
+<!ENTITY cvs-size "2.1 MB">
 <!ENTITY cvs-buildsize "14 MB">
-<!ENTITY cvs-version "1.11.6">
-<!ENTITY cvs-download-http "http://ccvs.cvshome.org/servlets/ProjectDownloadList">
-<!ENTITY cvs-download-ftp "ftp://ftp.cvshome.org/pub/release/stable/cvs-1.11.6/cvs-1.11.6.tar.bz2">
-<!ENTITY cvs-size "2.1 MB">
 <!ENTITY cvs-time "0.37 SBU">
Index: basicnet/netprogs/inetutils/inetutils.ent
===================================================================
--- basicnet/netprogs/inetutils/inetutils.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/inetutils/inetutils.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -4,9 +4,8 @@
 <!ENTITY inetutils-exp SYSTEM "inetutils-exp.xml">
 <!ENTITY inetutils-desc SYSTEM "inetutils-desc.xml">
-<!ENTITY inetutils-config SYSTEM "inetutils-config.xml">
+<!ENTITY inetutils-version "1.4.2">
+<!ENTITY inetutils-download-http "http://gd.tuwien.ac.at/gnu/gnusrc/inetutils/inetutils-&inetutils-version;.tar.gz">
+<!ENTITY inetutils-download-ftp "ftp://ftp.gnu.org/gnu/inetutils/inetutils-&inetutils-version;.tar.gz">
+<!ENTITY inetutils-size "1018 KB">
 <!ENTITY inetutils-buildsize "2.3 MB">
-<!ENTITY inetutils-version "1.4.2">
-<!ENTITY inetutils-download-http "">
-<!ENTITY inetutils-download-ftp "ftp://ftp.gnu.org/gnu/inetutils/inetutils-1.4.2.tar.gz">
-<!ENTITY inetutils-size "1018 KB">
 <!ENTITY inetutils-time "">
Index: basicnet/netprogs/ncftp/ncftp.ent
===================================================================
--- basicnet/netprogs/ncftp/ncftp.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/ncftp/ncftp.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -3,10 +3,10 @@
 <!ENTITY ncftp-inst SYSTEM "ncftp-inst.xml">
 <!ENTITY ncftp-exp SYSTEM "ncftp-exp.xml">
+<!ENTITY ncftp-config SYSTEM "ncftp-config.xml">
 <!ENTITY ncftp-desc SYSTEM "ncftp-desc.xml">
-<!ENTITY ncftp-config SYSTEM "ncftp-config.xml">
-<!ENTITY ncftp-buildsize "5.2 MB">
 <!ENTITY ncftp-version "3.1.6">
 <!ENTITY ncftp-download-http "">
-<!ENTITY ncftp-download-ftp "ftp://ftp.ncftp.com/ncftp/ncftp-3.1.6-src.tar.bz2">
+<!ENTITY ncftp-download-ftp "ftp://ftp.ncftp.com/ncftp/ncftp-&ncftp-version;-src.tar.bz2">
 <!ENTITY ncftp-size "396 KB">
+<!ENTITY ncftp-buildsize "5.2 MB">
 <!ENTITY ncftp-time "0.26 SBU">
Index: basicnet/netprogs/ncpfs/ncpfs.ent
===================================================================
--- basicnet/netprogs/ncpfs/ncpfs.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/ncpfs/ncpfs.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -3,12 +3,10 @@
 <!ENTITY ncpfs-inst SYSTEM "ncpfs-inst.xml">
 <!ENTITY ncpfs-exp SYSTEM "ncpfs-exp.xml">
+<!ENTITY ncpfs-config SYSTEM "ncpfs-config.xml">
 <!ENTITY ncpfs-desc SYSTEM "ncpfs-desc.xml">
-<!ENTITY ncpfs-config SYSTEM "ncpfs-config.xml">
+<!ENTITY ncpfs-version "2.2.3">
+<!ENTITY ncpfs-download-http "http://platan.vc.cvut.cz/ftp/pub/linux/ncpfs/ncpfs-&ncpfs-version;.tar.gz">
+<!ENTITY ncpfs-download-ftp "ftp://platan.vc.cvut.cz/pub/linux/ncpfs/ncpfs-&ncpfs-version;.tar.gz">
+<!ENTITY ncpfs-size "1.5 MB">
 <!ENTITY ncpfs-buildsize "40 MB">
-<!ENTITY ncpfs-version "2.2.3">
-<!ENTITY ncpfs-download-http 
-"http://platan.vc.cvut.cz/ftp/pub/linux/ncpfs/ncpfs-&ncpfs-version;.tar.gz">
-<!ENTITY ncpfs-download-ftp 
-"ftp://platan.vc.cvut.cz/pub/linux/ncpfs/ncpfs-&ncpfs-version;.tar.gz">
-<!ENTITY ncpfs-size "1.5 MB">
 <!ENTITY ncpfs-time "">
Index: basicnet/netprogs/nfs-utils/nfs-utils.ent
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/nfs-utils/nfs-utils.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -3,10 +3,10 @@
 <!ENTITY nfs-utils-inst SYSTEM "nfs-utils-inst.xml">
 <!ENTITY nfs-utils-exp SYSTEM "nfs-utils-exp.xml">
+<!ENTITY nfs-utils-config SYSTEM "nfs-utils-config.xml">
 <!ENTITY nfs-utils-desc SYSTEM "nfs-utils-desc.xml">
-<!ENTITY nfs-utils-config SYSTEM "nfs-utils-config.xml">
+<!ENTITY nfs-utils-version "1.0.3">
+<!ENTITY nfs-utils-download-http "http://unc.dl.sourceforge.net/sourceforge/nfs/nfs-utils-&nfs-utils-version;.tar.gz">
+<!ENTITY nfs-utils-download-ftp "ftp://ftp.kernel.org/pub/linux/utils/nfs/nfs-utils-&nfs-utils-version;.tar.gz">
+<!ENTITY nfs-utils-size "237 KB">
 <!ENTITY nfs-utils-buildsize "">
-<!ENTITY nfs-utils-version "1.0.3">
-<!ENTITY nfs-utils-download-http
-"http://unc.dl.sourceforge.net/sourceforge/nfs/nfs-utils-&nfs-utils-version;.tar.gz">
-<!ENTITY nfs-utils-download-ftp "">
-<!ENTITY nfs-utils-size "237 KB">
+<!ENTITY nfs-utils-time "">
Index: basicnet/netprogs/ntp/ntp.ent
===================================================================
--- basicnet/netprogs/ntp/ntp.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/ntp/ntp.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -2,11 +2,10 @@
 <!ENTITY ntp-intro SYSTEM "ntp-intro.xml">
 <!ENTITY ntp-inst SYSTEM "ntp-inst.xml">
-<!ENTITY ntp-exp SYSTEM "ntp-exp.xml">
+<!ENTITY ntp-config SYSTEM "ntp-config.xml">
 <!ENTITY ntp-desc SYSTEM "ntp-desc.xml">
-<!ENTITY ntp-config SYSTEM "ntp-config.xml">
+<!ENTITY ntp-version "4.1.2">
+<!ENTITY ntp-download-http "http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-&ntp-version;.tar.gz">
+<!ENTITY ntp-download-ftp "ftp://ftp.udel.edu/pub/ntp/ntp4/ntp-&ntp-version;.tar.gz">
+<!ENTITY ntp-size "2.2 MB">
 <!ENTITY ntp-buildsize "13 MB">
-<!ENTITY ntp-version "4.1.2">
-<!ENTITY ntp-download-http "http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-4.1.2.tar.gz">
-<!ENTITY ntp-download-ftp "ftp://ftp.udel.edu/pub/ntp/ntp4/ntp-4.1.2.tar.gz">
-<!ENTITY ntp-size "2.2 MB">
 <!ENTITY ntp-time "">
Index: basicnet/netprogs/portmap/portmap-intro.xml
===================================================================
--- basicnet/netprogs/portmap/portmap-intro.xml	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/portmap/portmap-intro.xml	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -24,5 +24,5 @@
 <itemizedlist spacing='compact'>
 <listitem><para>Required patch (HTTP): <ulink
-url="&portmap-patch-http;"/></para></listitem>
+url="http://files.ichilton.co.uk/nfs/portmap_5-1.diff.gz"/></para></listitem>
 <listitem><para>Required patch (HTTP): <ulink url="&hfile-root;/portmap_5-errno.patch"/></para></listitem></itemizedlist>
 </sect3>
Index: basicnet/netprogs/portmap/portmap.ent
===================================================================
--- basicnet/netprogs/portmap/portmap.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/portmap/portmap.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -3,11 +3,10 @@
 <!ENTITY portmap-inst SYSTEM "portmap-inst.xml">
 <!ENTITY portmap-exp SYSTEM "portmap-exp.xml">
+<!ENTITY portmap-config SYSTEM "portmap-config.xml">
 <!ENTITY portmap-desc SYSTEM "portmap-desc.xml">
-<!ENTITY portmap-config SYSTEM "portmap-config.xml">
+<!ENTITY portmap-version "5">
+<!ENTITY portmap-download-http "http://files.ichilton.co.uk/nfs/portmap_&portmap-version;.orig.tar.gz">
+<!ENTITY portmap-download-ftp "ftp://ftp.cvut.cz/adamantix/dists/adamantix-1.0.1/main/source/net/portmap_&portmap-version;.orig.tar.gz">
+<!ENTITY portmap-size "20 KB">
 <!ENTITY portmap-buildsize "250 KB">
-<!ENTITY portmap-version "5">
-<!ENTITY portmap-download-http "http://files.ichilton.co.uk/nfs/portmap_5.orig.tar.gz">
-<!ENTITY portmap-download-ftp "">
-<!ENTITY portmap-patch-http "http://files.ichilton.co.uk/nfs/portmap_5-1.diff.gz">
-<!ENTITY portmap-size "20 KB">
 <!ENTITY portmap-time "0.03 SBU">
Index: basicnet/netprogs/tcpwrappers/tcpwrappers-intro.xml
===================================================================
--- basicnet/netprogs/tcpwrappers/tcpwrappers-intro.xml	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/tcpwrappers/tcpwrappers-intro.xml	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -20,8 +20,7 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&tcpwrappers-patch-http;"/></para></listitem></itemizedlist>
+<listitem><para>Required patch:<ulink
+url="http://files.ichilton.co.uk/nfs/tcp_wrappers_7.6.diff.gz"/></para></listitem></itemizedlist>
 </sect3>
 
-
 </sect2>
Index: basicnet/netprogs/tcpwrappers/tcpwrappers.ent
===================================================================
--- basicnet/netprogs/tcpwrappers/tcpwrappers.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/tcpwrappers/tcpwrappers.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -3,11 +3,10 @@
 <!ENTITY tcpwrappers-inst SYSTEM "tcpwrappers-inst.xml">
 <!ENTITY tcpwrappers-exp SYSTEM "tcpwrappers-exp.xml">
+<!ENTITY tcpwrappers-config SYSTEM "tcpwrappers-config.xml">
 <!ENTITY tcpwrappers-desc SYSTEM "tcpwrappers-desc.xml">
-<!ENTITY tcpwrappers-config SYSTEM "tcpwrappers-config.xml">
+<!ENTITY tcpwrappers-version "7.6">
+<!ENTITY tcpwrappers-download-http "http://files.ichilton.co.uk/nfs/tcp_wrappers_&tcpwrappers-version;.tar.gz">
+<!ENTITY tcpwrappers-download-ftp "ftp://ftp.zcu.cz/pub/security/tue/tcp_wrappers_&tcpwrappers-version;.tar.gz">
+<!ENTITY tcpwrappers-size "100 KB">
 <!ENTITY tcpwrappers-buildsize "720 KB">
-<!ENTITY tcpwrappers-version "7.6">
-<!ENTITY tcpwrappers-download-http "http://files.ichilton.co.uk/nfs/tcp_wrappers_7.6.tar.gz">
-<!ENTITY tcpwrappers-download-ftp "">
-<!ENTITY tcpwrappers-patch-http "http://files.ichilton.co.uk/nfs/tcp_wrappers_7.6.diff.gz">
-<!ENTITY tcpwrappers-size "100 KB">
 <!ENTITY tcpwrappers-time "0.16 SBU">
Index: basicnet/netprogs/wget/wget.ent
===================================================================
--- basicnet/netprogs/wget/wget.ent	(revision a245e6d1f88e4b56bcccb1b0a7f9be949b86cbd6)
+++ basicnet/netprogs/wget/wget.ent	(revision 21596fe1bfed71ea7b5f8ff15e8699faf78f2354)
@@ -3,10 +3,10 @@
 <!ENTITY wget-inst SYSTEM "wget-inst.xml">
 <!ENTITY wget-exp SYSTEM "wget-exp.xml">
+<!ENTITY wget-config SYSTEM "wget-config.xml">
 <!ENTITY wget-desc SYSTEM "wget-desc.xml">
-<!ENTITY wget-config SYSTEM "wget-config.xml">
+<!ENTITY wget-version "1.8.2">
+<!ENTITY wget-download-http "http://ftp.gnu.org/gnu/wget/wget-&wget-version;.tar.gz">
+<!ENTITY wget-download-ftp "ftp://ftp.gnu.org/gnu/wget/wget-&wget-version;.tar.gz">
+<!ENTITY wget-size "1.1 MB">
 <!ENTITY wget-buildsize "5.4 MB">
-<!ENTITY wget-version "1.8.2">
-<!ENTITY wget-download-http "http://ftp.gnu.org/gnu/wget/wget-1.8.2.tar.gz">
-<!ENTITY wget-download-ftp "ftp://ftp.gnu.org/gnu/wget/wget-1.8.2.tar.gz">
-<!ENTITY wget-size "1.1 MB">
 <!ENTITY wget-time "0.23 SBU">