Index: gnome/add/eog.xml
===================================================================
--- gnome/add/eog.xml	(revision 16d60604d70a33096fe0c79c44ea44f82f0b7859)
+++ gnome/add/eog.xml	(revision 22594a1de4e4fae929b7c542266f7634f76c3ecd)
@@ -5,10 +5,10 @@
   %general-entities;
 
-<!ENTITY eog-download-http "http://ftp.gnome.org/pub/GNOME/sources/eog/2.6/eog-&eog-version;.tar.bz2">
-<!ENTITY eog-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/eog/2.6/eog-&eog-version;.tar.bz2">
-<!ENTITY eog-size "843 KB">
-<!ENTITY eog-buildsize "29 MB">
-<!ENTITY eog-time "0.19 SBU">
-
+<!ENTITY eog-download-http "http://ftp.gnome.org/pub/GNOME/sources/eog/&gnome-version;/eog-&eog-version;.tar.bz2">
+<!ENTITY eog-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/eog/&gnome-version;/eog-&eog-version;.tar.bz2">
+<!ENTITY eog-md5sum "2bad4006f3ccf15b0153d7b9facbc961">
+<!ENTITY eog-size "834 KB">
+<!ENTITY eog-buildsize "16.2 MB">
+<!ENTITY eog-time "0.18 SBU">
 ]>
 
@@ -34,19 +34,22 @@
 <listitem><para>Download (FTP): <ulink
 url="&eog-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &eog-md5sum;</para></listitem>
 <listitem><para>Download size: &eog-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &eog-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
 &eog-time;</para></listitem></itemizedlist>
 </sect3>
-                                                                                
-<sect3><title><application><acronym>EOG</acronym></application> dependencies</title>
+
+<sect3><title><application><acronym>EOG</acronym></application> 
+dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="libgnomeprintui"/></para></sect4>
+<para><xref linkend="eel"/></para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para>
-<xref linkend="libjpeg"/> and
-<ulink url="http://sourceforge.net/projects/libexif/">libexif</ulink>
-</para></sect4>
+<para><xref linkend="libjpeg"/> and 
+<ulink url="http://sourceforge.net/projects/libexif/">libexif</ulink></para>
+</sect4>
 </sect3>
 
@@ -56,5 +59,6 @@
 <title>Installation of <application><acronym>EOG</acronym></application></title>
 
-<para>Install <application><acronym>EOG</acronym></application> by running the following commands:</para>
+<para>Install <application><acronym>EOG</acronym></application> by running the 
+following commands:</para>
 
 <screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
@@ -75,11 +79,11 @@
 
 <para><parameter>--localstatedir=/var/lib</parameter>: This switch
-puts <application>ScrollKeeper</application> files in <filename
-class="directory">/var/lib/scrollkeeper</filename>
-instead of <filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
+puts <application>ScrollKeeper</application> files in 
+<filename class="directory">/var/lib/scrollkeeper</filename> instead of 
+<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
 <para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
-puts configuration files in <filename class="directory">/etc/gnome</filename> instead of
-<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+puts configuration files in <filename class="directory">/etc/gnome</filename> 
+instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
 </sect2>
@@ -96,6 +100,6 @@
 
 <sect3><title>eog</title>
-<para><command>eog</command> is a fast and functional image viewer as well as an image
-cataloging program.</para></sect3>
+<para><command>eog</command> is a fast and functional image viewer as well 
+as an image cataloging program.</para></sect3>
 
 </sect2>
Index: gnome/add/gtkhtml.xml
===================================================================
--- gnome/add/gtkhtml.xml	(revision 16d60604d70a33096fe0c79c44ea44f82f0b7859)
+++ gnome/add/gtkhtml.xml	(revision 22594a1de4e4fae929b7c542266f7634f76c3ecd)
@@ -45,5 +45,5 @@
 <sect3><title><application>GtkHTML</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="gal"/> and <xref linkend="libgnomeprintui"/></para>
+<para><xref linkend="gal"/></para>
 </sect4>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 16d60604d70a33096fe0c79c44ea44f82f0b7859)
+++ introduction/welcome/changelog.xml	(revision 22594a1de4e4fae929b7c542266f7634f76c3ecd)
@@ -25,6 +25,6 @@
 <listitem><para>November 25th, 2004 [randy]: Added a note to create an 
 environment variable in the libgnomeui instructions; added new package 
-GNOME Doc Utils-0.1; updated to Evolution-2.0.2, Yelp-2.6.4, 
-bug-buddy-2.8.0, gtksourceview-1.1.1 and gedit-2.8.1.</para></listitem>
+GNOME Doc Utils-0.1; updated to Evolution-2.0.2, Yelp-2.6.4, bug-buddy-2.8.0, 
+gtksourceview-1.1.1, gedit-2.8.1 and EOG-2.8.1.</para></listitem>
 
 <listitem><para>November 24th, 2004 [randy]: Added new package