Index: kde/core/kde-workspace-systemd.xml
===================================================================
--- kde/core/kde-workspace-systemd.xml	(revision 12cb8c2dba25d53933312dc6184595f890e33ad9)
+++ kde/core/kde-workspace-systemd.xml	(revision 22899f9c0a263509c6dce24a55ad16c4091dd04e)
@@ -14,5 +14,5 @@
 ]>
 
-<sect1 id="kde-workspace" xreflabel="kde-workspace-&kde-workspace-version;">
+<sect1 id="kde-workspace" xreflabel="KDE-Workspace-&kde-workspace-version;">
   <?dbhtml filename="kde-workspace.html"?>
 
@@ -22,15 +22,15 @@
   </sect1info>
 
-  <title>Kde-workspace-&kde-workspace-version;</title>
+  <title>KDE-Workspace-&kde-workspace-version;</title>
 
   <indexterm zone="kde-workspace">
-    <primary sortas="a-kde-workspace">kde-workspace</primary>
+    <primary sortas="a-KDE-Workspace">KDE-Workspace</primary>
   </indexterm>
 
   <sect2 role="package">
-    <title>Introduction to Kde-workspace</title>
-
-    <para>
-      The Kde-workspace package contains components that are central to
+    <title>Introduction to KDE-Workspace</title>
+
+    <para>
+      The KDE-Workspace package contains components that are central to
       providing the <application>KDE</application> desktop environment. Of
       particular importance are KWin, the <application>KDE</application>
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -62,14 +62,5 @@
     </itemizedlist>
 
-<!--
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing='compact'>
-      <listitem>
-        <para>Required patch: <ulink
-        url="&patch-root;/kde-workspace-&kde4-version;-fixes-1.patch"/></para>
-      </listitem>
-    </itemizedlist>
--->
-    <bridgehead renderas="sect3">Kde-workspace Dependencies</bridgehead>
+    <bridgehead renderas="sect3">KDE-Workspace Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -78,6 +69,6 @@
       <xref linkend="qimageblitz"/>,
       <xref linkend="xcb-util-image"/>,
-      <xref linkend="xcb-util-renderutil"/>,
-      <xref linkend="xcb-util-keysyms"/> and
+      <xref linkend="xcb-util-keysyms"/>,
+      <xref linkend="xcb-util-renderutil"/>, and
       <xref linkend="xcb-util-wm"/>      
     </para>
@@ -85,6 +76,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+      <xref linkend="boost"/>,
       <xref linkend="kdepimlibs"/>,
-      <xref linkend="boost"/>,
       <xref linkend="pciutils"/>, and
       <xref linkend="systemd"/> (for Logind)
@@ -93,23 +84,23 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="libusb-compat"/>,
       <xref linkend="linux-pam"/>,
-      <xref linkend="libusb"/>,
+      <xref linkend="lm_sensors"/>,
       <xref linkend="NetworkManager"/>,
-      <xref linkend="lm_sensors"/>,
       <xref linkend="qjson"/>,
       <xref linkend="wayland"/>,
-      <ulink url="&kde-download-http;&kde-version;/src/">PyKDE4</ulink>,
       <ulink url="http://code.google.com/p/google-gadgets-for-linux/">GoogleGadgets</ulink>,
-      <ulink url="ftp://ftp.kde.org/pub/kde/stable/prison/1.0/src/">Prison</ulink>,
+      <ulink url="http://www.catb.org/gpsd/">GPSD</ulink>,
+      <ulink url="http://qalculate.sourceforge.net/">libqalculate</ulink>
+      (wants <ulink url="http://www.ginac.de/CLN/">CLN</ulink>),
       <ulink url="http://sourceforge.net/projects/libraw1394/">libraw1394</ulink>,
-      <ulink url="http://www.catb.org/gpsd/">gpsd</ulink>,
-      <ulink url="http://www.xmms.org/">XMMS</ulink> and
-      <ulink url="http://qalculate.sourceforge.net/">libqalculate</ulink>
-      (wants <ulink url="http://www.ginac.de/CLN/">CLN</ulink>)
+      <ulink url="http://projects.kde.org/prison">Prison</ulink>,
+      <ulink url="&kde-download-http;&kde-version;/src/">PyKDE4</ulink>, and
+      <ulink url="http://www.xmms.org/">XMMS</ulink>
     </para>
 
     <note>
       <para>
-        Kde-workspace has a run-time dependency called
+        KDE-Workspace has a run-time dependency called
         <application>Application menu for Qt</application> that allows the
         application menubar to be inserted as a single button in the titlebar.
@@ -126,5 +117,5 @@
 
   <sect2 role="installation">
-    <title>Installation of Kde-workspace</title>
+    <title>Installation of KDE-Workspace</title>
 
     <para>
@@ -141,5 +132,5 @@
 
     <para>
-      Install <application>Kde-workspace</application> by running the following
+      Install <application>KDE-Workspace</application> by running the following
       commands:
     </para>