Index: general.ent
===================================================================
--- general.ent	(revision 3289fc54654acccd061e52a1f53b4e9ec87710b2)
+++ general.ent	(revision 23325b0abd5a198fe6f4913baf85e33fd26dc1b0)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "27">                   <!-- Always 2 digits -->
+<!ENTITY day          "28">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2009">
@@ -563,5 +563,5 @@
 <!ENTITY libgtop-version              "2.28.0">
 <!ENTITY libgweather-version          "2.28.0">
-<!ENTITY nautilus-version             "2.28.1">
+<!ENTITY nautilus-version             "2.28.4">
 <!ENTITY vte-version                  "0.22.5">
 <!ENTITY yelp-version                 "2.28.0">
Index: gnome/core/nautilus.xml
===================================================================
--- gnome/core/nautilus.xml	(revision 3289fc54654acccd061e52a1f53b4e9ec87710b2)
+++ gnome/core/nautilus.xml	(revision 23325b0abd5a198fe6f4913baf85e33fd26dc1b0)
@@ -7,8 +7,8 @@
   <!ENTITY nautilus-download-http "&gnome-download-http;/nautilus/&gnome-version;/nautilus-&nautilus-version;.tar.bz2">
   <!ENTITY nautilus-download-ftp  "&gnome-download-ftp;/nautilus/&gnome-version;/nautilus-&nautilus-version;.tar.bz2">
-  <!ENTITY nautilus-md5sum        "e759af11a0844828e2b484ff42ee0498">
-  <!ENTITY nautilus-size          "5.7 MB">
-  <!ENTITY nautilus-buildsize     "146 MB">
-  <!ENTITY nautilus-time          "1.0 SBU">
+  <!ENTITY nautilus-md5sum        "28c97e0e5195ae1ad5101e8b703cbf52">
+  <!ENTITY nautilus-size          "5.8 MB">
+  <!ENTITY nautilus-buildsize     "147 MB">
+  <!ENTITY nautilus-time          "1.2 SBU">
 ]>
 
@@ -58,18 +58,17 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="esound"/>,
-    <xref linkend="libexif"/>,
-    <xref linkend="librsvg"/>, and
-    <xref linkend="libunique"/></para>
+    <para role="required"><xref linkend="gnome-desktop"/>,
+    <xref linkend="libunique"/>, and
+    <xref linkend="shared-mime-info"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="startup-notification"/>,
+    <para role="optional"><xref linkend="docbook-utils"/>,
+    <xref linkend="eel"/>,
+    <ulink url="http://libopenraw.freedesktop.org/wiki/Exempi">Exempi</ulink>,
+    <ulink url="http://beagle-project.org/Main_Page">libbeagle</ulink>,
+    <xref linkend="libexif"/>,
     <ulink url="http://www.tracker-project.org/">Tracker</ulink>
-    (see the Tracker README file for the extensive dependencies),
-    <ulink url="http://beagle-project.org/Main_Page">Beagle</ulink>
-    (needs <ulink url="&gnome-download-http;/gnome-sharp/">
-    Gnome-Sharp</ulink> which requires <ulink
-    url="http://www.mono-project.com/Main_Page">Mono</ulink>),
-    and <xref linkend="docbook-utils"/></para>
+    (see the Tracker README file for the extensive dependencies), and
+    <ulink url="http://valgrind.org/">Valgrind</ulink></para>
 
     <para condition="html" role="usernotes">User Notes:
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3289fc54654acccd061e52a1f53b4e9ec87710b2)
+++ introduction/welcome/changelog.xml	(revision 23325b0abd5a198fe6f4913baf85e33fd26dc1b0)
@@ -42,4 +42,14 @@
 -->
     <listitem>
+      <para>December 28th, 2009</para>
+      <itemizedlist>
+        <listitem>
+          <para>[wblaszcz] - Updated to Nautilus-2.28.4 and minor ammendment to
+          polkit.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 27th, 2009</para>
       <itemizedlist>
Index: postlfs/security/polkit.xml
===================================================================
--- postlfs/security/polkit.xml	(revision 3289fc54654acccd061e52a1f53b4e9ec87710b2)
+++ postlfs/security/polkit.xml	(revision 23325b0abd5a198fe6f4913baf85e33fd26dc1b0)
@@ -62,4 +62,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required"><xref linkend="eggdbus"/>,
+    <xref linkend="intltool"/>,
     <xref linkend="linux-pam"/>,
     <xref linkend="gobject-introspection"/>, and