Index: archive/inputrc.xml
===================================================================
--- archive/inputrc.xml	(revision 23839a723666186ddc17e9493892187000e202cb)
+++ archive/inputrc.xml	(revision 23839a723666186ddc17e9493892187000e202cb)
@@ -0,0 +1,103 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="postlfs-config-inputrc" xreflabel="Introduction to /etc/inputrc">
+  <?dbhtml filename="inputrc.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Introduction to /etc/inputrc</title>
+
+  <indexterm zone="postlfs-config-inputrc">
+    <primary sortas="e-etc-inputrc">/etc/inputrc</primary>
+  </indexterm>
+
+  <indexterm zone="postlfs-config-inputrc">
+    <primary sortas="e-AA.inputrc">~/.inputrc</primary>
+  </indexterm>
+
+  <para><filename>/etc/inputrc</filename> deals with the mapping of the
+  keyboard for certain situations.  This file is the start-up file used by
+  <application>readline</application>, the input related library used by
+  <application>bash</application> and most other shells.</para>
+
+  <para>For more information see <command>info bash</command>&mdash;<emphasis
+  role="strong">Node: Readline Init</emphasis> file as well as
+  <command>info readline</command>. There is a lot that can be done with this
+  one rc file.</para>
+
+  <para>Global values are set in <filename>/etc/inputrc</filename>.
+  Personal user values are set in <filename>~/.inputrc</filename>. The
+  <filename>~/.inputrc</filename> file will override the global settings
+  file.  A later page sets up <application>Bash</application> to use
+  <filename>/etc/inputrc</filename> if there is no <filename>.inputrc</filename>
+  for a user when   <filename>/etc/profile</filename> is read (usually at login).
+  If you   want your system to use both, or don't want <emphasis>global</emphasis>
+  keyboard handling, it is a good idea to place a default
+  <filename>.inputrc</filename> into the <filename
+  class="directory">/etc/skel</filename> directory for use with new users.</para>
+
+  <para>Below is a base <filename>/etc/inputrc</filename> along with
+  comments to explain what the various options do.  Note that comments
+  can <emphasis>not</emphasis> be on the same line as commands.</para>
+
+  <para>If you will create an <filename>.inputrc</filename> in
+  <filename class="directory">/etc/skel</filename> using the command below,
+  change the command's output to <filename>/etc/skel/.inputrc</filename> and
+  be sure to check/set permissions afterward. Then you can just copy that
+  file to <filename>/etc/inputrc</filename> and the home directory
+  of any user already existing in the system, including <systemitem
+  class="username">root</systemitem>, that needs
+  a private version of the file.  Be sure to use the <option>-p</option>
+  parameter of <command>cp</command> to maintain permissions and be sure to
+  change owner and group appropriately.</para>
+
+<screen role="root"><userinput>cat &gt; /etc/inputrc &lt;&lt; "EOF"
+<literal># Begin /etc/inputrc
+
+# Make sure everything is not output to one line
+set horizontal-scroll-mode Off
+
+# Enable 8bit input
+set meta-flag On
+set input-meta On
+
+# Turns off 8th bit stripping
+set convert-meta Off
+
+# Keep the 8th bit for display
+set output-meta On
+
+# none, visible or audible
+set bell-style none
+
+# All of the following map the escape sequence of the
+# value contained inside the 1st argument to the
+# readline specific functions
+
+"\eOd": backward-word
+"\eOc": forward-word
+
+# for linux console
+"\e[1~": beginning-of-line
+"\e[4~": end-of-line
+"\e[5~": beginning-of-history
+"\e[6~": end-of-history
+"\e[3~": delete-char
+"\e[2~": quoted-insert
+
+# for xterm
+"\eOH": beginning-of-line
+"\eOF": end-of-line
+
+# End /etc/inputrc</literal>
+EOF</userinput></screen>
+
+</sect1>
Index: stlfs/config/inputrc.xml
===================================================================
--- postlfs/config/inputrc.xml	(revision 65448ff8fae527a5d763d96b7cdd9f57ef8d792f)
+++ 	(revision )
@@ -1,103 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="postlfs-config-inputrc" xreflabel="Introduction to /etc/inputrc">
-  <?dbhtml filename="inputrc.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Introduction to /etc/inputrc</title>
-
-  <indexterm zone="postlfs-config-inputrc">
-    <primary sortas="e-etc-inputrc">/etc/inputrc</primary>
-  </indexterm>
-
-  <indexterm zone="postlfs-config-inputrc">
-    <primary sortas="e-AA.inputrc">~/.inputrc</primary>
-  </indexterm>
-
-  <para><filename>/etc/inputrc</filename> deals with the mapping of the
-  keyboard for certain situations.  This file is the start-up file used by
-  <application>readline</application>, the input related library used by
-  <application>bash</application> and most other shells.</para>
-
-  <para>For more information see <command>info bash</command>&mdash;<emphasis
-  role="strong">Node: Readline Init</emphasis> file as well as
-  <command>info readline</command>. There is a lot that can be done with this
-  one rc file.</para>
-
-  <para>Global values are set in <filename>/etc/inputrc</filename>.
-  Personal user values are set in <filename>~/.inputrc</filename>. The
-  <filename>~/.inputrc</filename> file will override the global settings
-  file.  A later page sets up <application>Bash</application> to use
-  <filename>/etc/inputrc</filename> if there is no <filename>.inputrc</filename>
-  for a user when   <filename>/etc/profile</filename> is read (usually at login).
-  If you   want your system to use both, or don't want <emphasis>global</emphasis>
-  keyboard handling, it is a good idea to place a default
-  <filename>.inputrc</filename> into the <filename
-  class="directory">/etc/skel</filename> directory for use with new users.</para>
-
-  <para>Below is a base <filename>/etc/inputrc</filename> along with
-  comments to explain what the various options do.  Note that comments
-  can <emphasis>not</emphasis> be on the same line as commands.</para>
-
-  <para>If you will create an <filename>.inputrc</filename> in
-  <filename class="directory">/etc/skel</filename> using the command below,
-  change the command's output to <filename>/etc/skel/.inputrc</filename> and
-  be sure to check/set permissions afterward. Then you can just copy that
-  file to <filename>/etc/inputrc</filename> and the home directory
-  of any user already existing in the system, including <systemitem
-  class="username">root</systemitem>, that needs
-  a private version of the file.  Be sure to use the <option>-p</option>
-  parameter of <command>cp</command> to maintain permissions and be sure to
-  change owner and group appropriately.</para>
-
-<screen role="root"><userinput>cat &gt; /etc/inputrc &lt;&lt; "EOF"
-<literal># Begin /etc/inputrc
-
-# Make sure everything is not output to one line
-set horizontal-scroll-mode Off
-
-# Enable 8bit input
-set meta-flag On
-set input-meta On
-
-# Turns off 8th bit stripping
-set convert-meta Off
-
-# Keep the 8th bit for display
-set output-meta On
-
-# none, visible or audible
-set bell-style none
-
-# All of the following map the escape sequence of the
-# value contained inside the 1st argument to the
-# readline specific functions
-
-"\eOd": backward-word
-"\eOc": forward-word
-
-# for linux console
-"\e[1~": beginning-of-line
-"\e[4~": end-of-line
-"\e[5~": beginning-of-history
-"\e[6~": end-of-history
-"\e[3~": delete-char
-"\e[2~": quoted-insert
-
-# for xterm
-"\eOH": beginning-of-line
-"\eOF": end-of-line
-
-# End /etc/inputrc</literal>
-EOF</userinput></screen>
-
-</sect1>