Index: general/prog/rust.xml
===================================================================
--- general/prog/rust.xml	(revision c4d96918dca210e21c9242737368f4d6ff4f9fac)
+++ general/prog/rust.xml	(revision 25997c4a3df7e2827e0eecf32e8f65a942234a78)
@@ -7,8 +7,13 @@
   <!ENTITY rust-download-http "https://static.rust-lang.org/dist/rustc-&rust-version;-src.tar.gz">
   <!ENTITY rust-download-ftp  " ">
-  <!ENTITY rust-md5sum        "6790c24fe5e8fb5a5f7efbfbcc6fea65">
-  <!ENTITY rust-size          "101 MB">
-  <!ENTITY rust-buildsize     "6.5 GB (679 MB installed) including 270MB of ~/.cargo files for the user building this (add 1.4GB if running the tests)">
-  <!ENTITY rust-time          "27 SBU (add 13 SBU for tests, both with 4 processors)">
+  <!ENTITY rust-md5sum        "366f049777e00d0d6f15d25895485efb">
+  <!ENTITY rust-size          "152 MB">
+  <!-- Gentle Reminder: buildsize is how much the user requires for the real
+       install, i.e. the source with its DESTDIR *plus* the DESTDIR.  You
+       can 'mkdir /tmp/RUST ; cp -a install/* /tmp/RUST' and then run 'du -sch'
+       to measure it. -->
+
+  <!ENTITY rust-buildsize     "6.2 GB (475 MB installed) including 295MB of ~/.cargo files for the user building this. Add 1.5GB if installing the documentation (an extra 314MB is installed), and 2.0GB if running the tests">
+  <!ENTITY rust-time          "34 SBU (add 3 SBU if installing the documentation and 15 SBU for tests, both with 4 processors)">
 ]>
 
@@ -33,4 +38,12 @@
       The <application>Rust</application> programming language is designed
       to be a safe, concurrent, practical language.
+    </para>
+
+    <para>
+      This package is updated on a six-weekly release cycle. Because it is
+      such a large and slow package to build, and is at the moment only required
+      by five packages in this book, the BLFS editors take the view that it
+      should only be updated when that is necessary (either to fix problems,
+      or to allow a new version of <application>firefox</application> to build).
     </para>
 
@@ -42,4 +55,30 @@
       connection.
     </para>
+
+    <para>
+      These crates will then remain in various forms (cache, directories of
+      extracted source), in <filename class="directory">~/.cargo</filename> for
+      ever more. It is common for large <application>rust</application> packages
+      to use multiple versions of some crates. If you purge the files before
+      updating this package, very few crates will need to be updated by the
+      packages in this book which use it (and they will be downloaded as
+      required). But if you retain an older version as a fallback option and
+      then use it (that would require <emphasis>not</emphasis> building in
+      <filename class="directory">/usr</filename>), it is likely that it will
+      then have to re download some crates. For a full download (i.e. starting
+      with an empty or missing <filename class="directory">~/.cargo</filename>)
+      downloading the external cargo files for this version only takes a minute
+      or so on a fast network.
+    </para>
+
+    <note>
+      <para>
+        When you upgrade to a newer version, the new libraries will have various
+        hashes in their names and therefore there will be a mix of versions but
+        only one of each will be usable. A binary distribution would use its
+        package manager to delete all the old <application>rust</application>
+        installation before updating. You may wish to do the same to save space.
+      </para>
+    </note>
 
     <para>
@@ -63,8 +102,6 @@
       </para>
       <para>
-        Repeated builds of this package on the same machine show a wide range
-        of build times. Some of this might be due to variations in downloading
-        the required cargo files if they are not already present, but this does
-        not seem to adequately explain the variations.
+        Unlike with previous versions, the build times of this version when
+       repeated on the same machine seem reasonably consistent.
       </para>
       <para>
@@ -123,13 +160,14 @@
     </para>
 
+<!-- comment out while using shipped LLVM
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
       <package>clang</package> from <xref linkend="llvm"/>
       (built with -DLLVM_LINK_LLVM_DYLIB=ON)
-    </para>
+    </para>-->
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gdb"/> (recommended if running the testsuite)
+      <xref linkend="gdb"/> (used by the testsuite if it is present)
     </para>
 
@@ -142,16 +180,11 @@
     <title>Installation of Rust</title>
 
-    <note>
-      <para>
-        This package is updated on a six-weekly release cycle. Because it is
-        such a large and slow package to build, and is at the moment only required
-        by five packages in this book, the BLFS editors take the view that it
-        should only be updated when that is necessary.
-      </para>
-    </note>
-
-    <para>
-      First create a suitable <filename>config.toml</filename> file
-      which will configure the build :
+    <para>
+      First create a suitable <filename>config.toml</filename> file which will
+      configure the build. Unlike with previous releases, where even quite old
+      system versions of <application>LLVM</application>worked well, this
+      version ships with a development version and using the current <xref
+      linkend="llvm"/> release is known to result in breakage in some
+      circumstances.
     </para>
 
@@ -159,10 +192,17 @@
 # see config.toml.example for more possible options
 [llvm]
+
+# use ninja
+ninja = true
+
 targets = "X86"
-
-# When using system llvm prefer shared libraries
-link-shared = true
+# When compiling LLVM, the experimental targets (WebAssembly
+# and RISCV) are built by default - omit them
+experimental-targets = ""
 
 [build]
+# omiti HTML docs to save time and space (comment this to build them)
+docs = false
+
 # install cargo as well as rust
 extended = true
@@ -170,4 +210,5 @@
 [install]
 prefix = "/usr"
+# docdir is used even if the full awesome docs are not installed
 docdir = "share/doc/rustc-&rust-version;"
 
@@ -180,9 +221,6 @@
 codegen-tests = false
 
-[target.x86_64-unknown-linux-gnu]
-# delete this *section* if you are not using system llvm.
-# NB the output of llvm-config (i.e. help options) may be
-# dumped to the screen when config.toml is parsed.
-llvm-config = "/usr/bin/llvm-config"
+# get a trace if there is an Internal Compiler Exception
+backtrace-on-ice = true
 
 EOF</userinput></screen>
@@ -194,11 +232,5 @@
 
 <screen><userinput>export RUSTFLAGS="$RUSTFLAGS -C link-args=-lffi" &amp;&amp;
-./x.py build</userinput></screen>
-
-    <para>
-      The build will report it failed to compile <filename>miri</filename>
-      because of multiple potential crates for `log`, but that should be followed
-      by a message that the build completed successfully.
-    </para>
+./x.py build --exclude src/tools/miri</userinput></screen>
 
     <note>
@@ -208,7 +240,8 @@
         <phrase revision="systemd">systemd journal</phrase>
         for traps on invalid opcodes, and for segmentation faults.
-        In themselves these are nothing to worry about, although if the
-        output from the testsuite reports tests which FAIL with such faults
-        then there may be a problem.
+        In themselves these are nothing to worry about, just a way for the
+        test to be terminated. But if the output from the testsuite reports tests
+        which FAIL with segmentation faults (signal 11) then there may be a
+        problem.
       </para>
     </note>
@@ -217,18 +250,24 @@
       To run the tests issue
       <command>./x.py test --verbose --no-fail-fast | tee rustc-testlog</command>:
-      as with the build, that will use all available CPUs.  This runs many suites
-      of tests (in an apparently random order), several will fail in BLFS:
-      compile-fail/issue-37131.rs require a thumbv6m-none-eabi compiler but the
-      BLFS build does not cater for
-      that, ui/issue-49851/compiler-builtins-error.rs and ui/issue-50993.rs (both
-      run twice) require a thumbv7em-none-eabihf compiler, and seven tests in
-      debuginfo-gdb will fail because gdb-8.1 changed the output format.  If
-      <application>gdb</application> has not been installed, most of the gdb tests
-      will fail.
-    </para>
-
-    <para>
-      If you wish to look at the numbers for the results, you can find the total
-      number of tests which were considered by running:
+      as with the build, that will use all available CPUs.
+    </para>
+
+    <para>
+      The instructions above do not build ARM compilers, so the testsuite
+      <emphasis>will</emphasis> fail and the tests will be reported to end in
+      error, with a backtrace of the last failing test. On a good run, 3 tests
+      which need Thumb (ARM) compilers will fail, all  in <filename
+      class="directory">ui/issues</filename> for issues 37131, 49851 and 50993.
+      Occasionally a fourth test, in run-make, 'sysroot-crates-are-unstable',
+      has been known to fail.  That is probably harmless. As with all large
+      testsuites, other tests might fail on some machines - if the number of
+      failures is in the single digits, check the log for 'FAILED' and review
+      lines above that. Any mention of SIGSEGV or signal 11 in a failing test
+      is a cause for concern.
+    </para>
+
+    <para>
+      Therefore, you should determine the number of tests, failures, etc. The
+      total number of tests which were considered is found by running:
     </para>
 
@@ -236,5 +275,5 @@
 
     <para>
-      That should report 17101 tests. Similarly, the total tests which failed can
+      That should report 15795 tests. Similarly, the total tests which failed can
       be found by running:
     </para>
@@ -245,5 +284,5 @@
       And similarly for the tests which passed use $4, for those which were ignored
       (i.e. skipped) use $8 (and $10 for 'measured', $12 for 'filtered out' but both
-      are probably zero). The breakdown does not match the overall total.
+      are probably zero). The breakdown does not quite match the overall total.
     </para>
 
@@ -294,4 +333,5 @@
     </para>
 
+    <!-- comment while using shipped LLVM
     <para>
       <command>[target.x86_64-unknown-linux-gnu]</command>: the syntax of
@@ -302,5 +342,5 @@
       against the shipped llvm, or do not have clang, but the resulting build will
       be larger and take longer.
-    </para>
+    </para>-->
 
     <para>
@@ -309,4 +349,11 @@
       to the build. On some systems, linking fails to include libffi unless
       this is used. The reason why this is needed is not clear.
+    </para>
+
+    <para>
+      <command>--exclude src/tools/miri</command>: For a long time, the miri
+      crate (an interpreter for the Midlevel Intermediate Representation)
+      has failed to build on releases. It is optional, but the failure
+      messages can persuade people that the whole build failed.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c4d96918dca210e21c9242737368f4d6ff4f9fac)
+++ introduction/welcome/changelog.xml	(revision 25997c4a3df7e2827e0eecf32e8f65a942234a78)
@@ -45,4 +45,13 @@
       <para>January 24th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[ken] - Update to rustc-1.32.0, needed for the forthcoming
+          firefox-65. Note that the instructions are going to be changed to
+          install in /opt/rustc-1.XX.Y but the details of that are yet to be worked
+          through.  The intention is that people will not have to rebuild just
+          because the book changes to using /opt. This build reverts to using the
+          shipped LLVM because system llvm-7.0.1 is too old. This addresses <ulink
+          url="&blfs-ticket-root;11521">#11521</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Update volume_key dependencies and instructions,
Index: packages.ent
===================================================================
--- packages.ent	(revision c4d96918dca210e21c9242737368f4d6ff4f9fac)
+++ packages.ent	(revision 25997c4a3df7e2827e0eecf32e8f65a942234a78)
@@ -338,5 +338,5 @@
 <!ENTITY ruby-patch-version           "0">
 <!ENTITY ruby-version                 "&ruby-minor-version;.&ruby-patch-version;">
-<!ENTITY rust-version                 "1.29.2">
+<!ENTITY rust-version                 "1.32.0">
 <!ENTITY scons-version                "3.0.4">
 <!ENTITY slang-version                "2.3.2">