Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision c2c728a2449d60cac47e8191246939f409a7ae1b)
+++ gnome/applications/cheese.xml	(revision 26538d89b51ee443a3af969129f674dd00f69138)
@@ -99,5 +99,4 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <phrase revision="systemd"><xref linkend="appstream-glib"/>,</phrase>
       <xref linkend="gobject-introspection"/> and
       <xref linkend="vala"/>
@@ -106,4 +105,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <phrase revision="systemd"><xref linkend="appstream-glib"/>,</phrase>
       <xref linkend="gtk-doc"/>,
       <xref linkend="libxslt"/>,
Index: gnome/applications/gnome-color-manager.xml
===================================================================
--- gnome/applications/gnome-color-manager.xml	(revision c2c728a2449d60cac47e8191246939f409a7ae1b)
+++ gnome/applications/gnome-color-manager.xml	(revision 26538d89b51ee443a3af969129f674dd00f69138)
@@ -89,6 +89,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="appstream-glib"/>,
-      <xref linkend="exiv2"/>, and
+      <xref linkend="exiv2"/> and
       <xref linkend="vte"/>
     </para>
@@ -96,4 +95,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="appstream-glib"/> and
       <xref linkend="docbook-utils"/>
     </para>
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision c2c728a2449d60cac47e8191246939f409a7ae1b)
+++ gnome/applications/gnome-disk-utility.xml	(revision 26538d89b51ee443a3af969129f674dd00f69138)
@@ -77,5 +77,4 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="appstream-glib"/>,
       <xref linkend="gnome-settings-daemon"/>,
       <xref linkend="itstool"/>,
@@ -84,4 +83,9 @@
       <xref linkend="libsecret"/>, and
       <xref linkend="udisks2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="appstream-glib"/>
     </para>
 
Index: gnome/applications/gnome-power-manager.xml
===================================================================
--- gnome/applications/gnome-power-manager.xml	(revision c2c728a2449d60cac47e8191246939f409a7ae1b)
+++ gnome/applications/gnome-power-manager.xml	(revision 26538d89b51ee443a3af969129f674dd00f69138)
@@ -77,6 +77,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="appstream-glib"/>,
-      <xref linkend="gtk3"/>, and
+      <xref linkend="gtk3"/> and
       <xref linkend="upower"/>
     </para>
@@ -84,5 +83,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="docbook-utils"/>
+      <xref linkend="docbook-utils"/> and
+      <xref linkend="appstream-glib"/>
     </para>
 
Index: gnome/applications/gnome-system-monitor.xml
===================================================================
--- gnome/applications/gnome-system-monitor.xml	(revision c2c728a2449d60cac47e8191246939f409a7ae1b)
+++ gnome/applications/gnome-system-monitor.xml	(revision 26538d89b51ee443a3af969129f674dd00f69138)
@@ -79,5 +79,4 @@
     <para role="required">
       <xref linkend="adwaita-icon-theme"/>,
-      <phrase revision="systemd"><xref linkend="appstream-glib"/>,</phrase>
       <xref linkend="gtkmm3"/>,
       <xref linkend="itstool"/>,
@@ -96,6 +95,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="desktop-file-utils"/>
-      <phrase revision="sysv"><ulink url="http://people.freedesktop.org/~hughsient/appstream-glib/releases">and appstream-glib</ulink></phrase>
+      <phrase revision="systemd"><xref linkend="appstream-glib"/> and</phrase>
+      <xref linkend="desktop-file-utils"/><phrase revision="sysv"> and 
+      <ulink url="http://people.freedesktop.org/~hughsient/appstream-glib/releases">appstream-glib</ulink></phrase>
     </para>
 
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision c2c728a2449d60cac47e8191246939f409a7ae1b)
+++ gnome/applications/gnome-terminal.xml	(revision 26538d89b51ee443a3af969129f674dd00f69138)
@@ -77,5 +77,4 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <phrase revision="systemd"><xref linkend="appstream-glib"/>,</phrase>
       <xref linkend="dconf"/>,
       <phrase revision="systemd"><xref linkend="gnome-shell"/>,</phrase>
@@ -93,4 +92,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <phrase revision="systemd"><xref linkend="appstream-glib"/>,</phrase>
       <xref linkend="desktop-file-utils"/>
       <phrase revision="sysv">and <ulink url="http://people.freedesktop.org/~hughsient/appstream-glib/releases">appstream-glib</ulink></phrase>
Index: gnome/applications/gucharmap.xml
===================================================================
--- gnome/applications/gucharmap.xml	(revision c2c728a2449d60cac47e8191246939f409a7ae1b)
+++ gnome/applications/gucharmap.xml	(revision 26538d89b51ee443a3af969129f674dd00f69138)
@@ -81,5 +81,4 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <phrase revision="systemd"><xref linkend="appstream-glib"/>,</phrase>
       <xref linkend="desktop-file-utils"/>,
       <xref linkend="gtk3"/>,
@@ -97,4 +96,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <phrase revision="systemd"><xref linkend="appstream-glib"/> and </phrase>
       <xref linkend="gtk-doc"/>
     </para>
Index: gnome/applications/vinagre.xml
===================================================================
--- gnome/applications/vinagre.xml	(revision c2c728a2449d60cac47e8191246939f409a7ae1b)
+++ gnome/applications/vinagre.xml	(revision 26538d89b51ee443a3af969129f674dd00f69138)
@@ -82,5 +82,4 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="appstream-glib"/>,
       <xref linkend="telepathy-glib"/>,
       <xref linkend="vala"/>, and
@@ -90,4 +89,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="appstream-glib"/>,
       <xref linkend="avahi"/>,
       <ulink url="http://www.freerdp.com/">FreeRDP</ulink> (For connecting to Windows desktops), and